#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xbb8b6a37, "");
SYMBOL_CRC(ishtp_start, 0x6bfb80f5, "");
SYMBOL_CRC(ishtp_send_suspend, 0x6cb3ea8b, "");
SYMBOL_CRC(ishtp_send_resume, 0x0b9af583, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x1beb460f, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0xf52d6c6b, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x4584f695, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x858c1974, "");
SYMBOL_CRC(ishtp_cl_free, 0xf59a6d38, "");
SYMBOL_CRC(ishtp_cl_link, 0x3eacf7bd, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x0311a4c9, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x6ea846ef, "");
SYMBOL_CRC(ishtp_cl_connect, 0x458d1542, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xc4678b40, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x83183d25, "");
SYMBOL_CRC(ishtp_cl_send, 0x427129da, "");
SYMBOL_CRC(ishtp_get_client_data, 0x25b77dfd, "");
SYMBOL_CRC(ishtp_set_client_data, 0xaf2c58d8, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xc7b9731c, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x4c7f5bc3, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xb7446b21, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xbf7a6693, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x2154f7c1, "");
SYMBOL_CRC(ishtp_recv, 0x19140b56, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x00e754b0, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x3c3b86d6, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x094804e3, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x72e28f4e, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x10ce8fc1, "");
SYMBOL_CRC(ishtp_get_device, 0xbbbd2fb5, "");
SYMBOL_CRC(ishtp_put_device, 0x75f879ed, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x912c949a, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xd5a9a8df, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x2f08c3d8, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x06a61ed1, "");
SYMBOL_CRC(ishtp_reset_handler, 0x9f75ccd6, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x305a45d3, "");
SYMBOL_CRC(ishtp_device, 0xd709994a, "");
SYMBOL_CRC(ishtp_wait_resume, 0x13817781, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xb811c229, "");
SYMBOL_CRC(ishtp_trace_callback, 0x71f776c8, "");
SYMBOL_CRC(ish_hw_reset, 0x1ee2aa9e, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x135b2898, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x67ea9f4b, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x9b7b7023, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f1875f2, "put_device" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3e8c9453, "device_register" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x5cdac255, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4225b84, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x493f490d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe3a6320, "firmware_request_nowarn" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F5B162B01BB4560149CAE69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
