#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe01f034a, "irq_domain_instantiate" },
	{ 0xe2bbaf4d, "irq_create_mapping_affinity" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x3b24077a, "handle_simple_irq" },
	{ 0x272ae5c0, "irq_set_chip_and_handler_name" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xe95444df, "__dev_fwnode_const" },
	{ 0x6af02cbf, "fwnode_property_match_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce644288, "device_property_present" },
	{ 0xce6f7299, "i2c_smbus_write_byte_data" },
	{ 0x822d8c8b, "i2c_smbus_write_byte" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x51b163ba, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x81121873, "irq_domain_remove" },
	{ 0x97249332, "i2c_mux_del_adapters" },
	{ 0x8706f8ea, "device_remove_file" },
	{ 0xd48e5875, "i2c_client_get_device_id" },
	{ 0xcf9dd085, "i2c_mux_alloc" },
	{ 0x6cc2347f, "devm_regulator_get" },
	{ 0x71d67ee7, "regulator_enable" },
	{ 0x57be79ad, "__devm_reset_control_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x32fac000, "device_get_match_data" },
	{ 0x483494dd, "i2c_get_device_id" },
	{ 0x361ce4c, "device_property_read_u32_array" },
	{ 0xcbae590e, "i2c_mux_add_adapter" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x693c7ff4, "devm_gpiod_get_optional" },
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0x5eb32154, "gpiod_set_value_cansleep" },
	{ 0xfba29003, "device_create_file" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x416fedfe, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ebe0d96, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x11bfa6a5, "i2c_smbus_read_byte" },
	{ 0x47521c7d, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6dbe98a, "i2c_del_driver" },
	{ 0x60969016, "irq_domain_simple_ops" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "314C36DD1807BA28552C51F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
