#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xedba06df, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x68e48617, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x1ff08c6c, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x3dc698a0, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xefae4942, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x1d966bb3, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x5e53abbf, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xfedeb678, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xc59e4316, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x2e78dec3, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xa083bc90, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xd33e758b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x25812d7b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xfbb2a27e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3ee15fc5, "vb2_ioctl_dqbuf" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xf04ac8e5, "devm_kfree" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xb6c009c7, "vb2_ioctl_create_bufs" },
	{ 0x8176caaf, "device_add" },
	{ 0xcb97478b, "input_mt_init_slots" },
	{ 0x7158b8ce, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8710f1a, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf617e770, "vb2_buffer_done" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0x630c31ea, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbaa7418b, "video_unregister_device" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9305146f, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb132c922, "vb2_fop_mmap" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x47521c7d, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x95be5811, "vb2_vmalloc_memops" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x57e0fc0d, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x63ab682a, "input_event" },
	{ 0x926aea70, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x33a74ad8, "v4l2_device_register" },
	{ 0xe7a07dcf, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6350f322, "devm_kasprintf" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0xebd68b90, "serio_interrupt" },
	{ 0xe01f034a, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ec2892c, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7259dbbf, "vb2_ops_wait_prepare" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2bbaf4d, "irq_create_mapping_affinity" },
	{ 0x3cd2bae7, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7300841, "input_alloc_absinfo" },
	{ 0x1aafb1f7, "vb2_fop_poll" },
	{ 0x961de88e, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0xac53a4ca, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa4225b84, "driver_register" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x493f490d, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa82f1e6b, "vb2_ioctl_reqbufs" },
	{ 0x55859441, "vb2_queue_init" },
	{ 0xf9654624, "input_mt_assign_slots" },
	{ 0xfe9f54e6, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x676ae09f, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x4d729115, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x566a1200, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x81121873, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x6747fdd0, "vb2_ops_wait_finish" },
	{ 0x41db61bf, "request_firmware" },
	{ 0x27281cae, "input_mt_report_slot_state" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x915d030f, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x860e4b58, "vb2_ioctl_querybuf" },
	{ 0x6ac53cbe, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c8b0422, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x60969016, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x9d6c332f, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd28fa19b, "video_devdata" },
	{ 0x272ae5c0, "irq_set_chip_and_handler_name" },
	{ 0x9f1875f2, "put_device" },
	{ 0xae8a0a66, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b24077a, "handle_simple_irq" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "E0A76EE3EE8F7C55D88A847");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
