#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x7c1ec036, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xb6beb651, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xce33e6ad, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x7eaee7bb, "");
SYMBOL_CRC(dvb_usb_generic_write, 0xa4d95196, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x93abb16b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e7a8550, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9acc8c9, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x8606d8df, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce29becd, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x7fdb5e46, "usb_clear_halt" },
	{ 0x1766622d, "usb_bulk_msg" },
	{ 0x9d6c332f, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c081240, "usb_submit_urb" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x4db4198, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfffd888d, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x3f6db0cb, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x336f48b0, "rc_register_device" },
	{ 0xa613f438, "usb_control_msg" },
	{ 0x2ffbd49, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa504cfb2, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x59890e1b, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63ab682a, "input_event" },
	{ 0xde2a5740, "dvb_frontend_detach" },
	{ 0xce4d125, "i2c_add_adapter" },
	{ 0x1d48870c, "dvb_net_release" },
	{ 0x3a1fe053, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x323b03cb, "dvb_unregister_frontend" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa877c5ba, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbee8faed, "__media_device_usb_init" },
	{ 0x834f74ba, "dvb_register_frontend" },
	{ 0x5ccfdb2f, "dvb_create_media_graph" },
	{ 0x9c82c582, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xabe91a3b, "rc_unregister_device" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a5227fa, "input_allocate_device" },
	{ 0x3c44595, "dvb_dmxdev_init" },
	{ 0x1b38ea42, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x85aea1ad, "media_device_unregister" },
	{ 0xc3b9957, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xee4ff91e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x41db61bf, "request_firmware" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
