#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xfd7c82bd, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xcd056de8, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x15381687, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xd2bea3a3, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x661b1399, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x40a1a45b, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x5c8077b6, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xa10a00a5, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x5b243659, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0xe46fceaf, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x493a6b07, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x79088771, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb47d07cf, "i2c_verify_client" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x665bbd8, "single_open" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc77d1a2d, "fwnode_handle_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe9b2b3b0, "v4l2_device_unregister_subdev" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xc450c7d8, "fwnode_property_present" },
	{ 0x47285a36, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf0213af2, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e9b41be, "v4l2_subdev_put_privacy_led" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x7d51395, "__dev_fwnode" },
	{ 0xe42aa84e, "__v4l2_device_register_subdev" },
	{ 0x7b8c350c, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xa719d826, "seq_read" },
	{ 0xfc79eb12, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
