#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0xee164c10, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x14059768, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xae9bb202, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d3c4335, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xae663a5e, "ocelot_port_pre_bridge_flags" },
	{ 0xef83cbfe, "ocelot_port_del_dscp_prio" },
	{ 0x8ece76ad, "ocelot_mrp_del_ring_role" },
	{ 0x1def5519, "ocelot_sb_tc_pool_bind_set" },
	{ 0xdf41ff59, "dsa_fdb_present_in_other_db" },
	{ 0xc1d12040, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xecc5ea66, "dsa_mdb_present_in_other_db" },
	{ 0xe2931290, "ocelot_vcap_filter_add" },
	{ 0x29b66fa4, "ocelot_sb_port_pool_get" },
	{ 0xcb38f082, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xe73faddf, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x57406af1, "ocelot_port_inject_frame" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x8222be76, "ocelot_mrp_add" },
	{ 0x83849cf3, "ocelot_sb_occ_port_pool_get" },
	{ 0x5d9b0c76, "ocelot_sb_pool_set" },
	{ 0x4a33af02, "ocelot_lag_fdb_del" },
	{ 0xaf46fcf4, "ocelot_vcap_filter_del" },
	{ 0xcb5f6903, "ocelot_cls_flower_stats" },
	{ 0xa2facb8f, "ocelot_lock_inj_grp" },
	{ 0xcbe605a3, "ocelot_lock_xtr_grp_bh" },
	{ 0x6f6adfa5, "ocelot_sb_pool_get" },
	{ 0x8ef87fcd, "ocelot_lock_xtr_grp" },
	{ 0x16eb2b23, "ocelot_phylink_mac_link_up" },
	{ 0xe2a7ead8, "ocelot_deinit_port" },
	{ 0xb3444855, "ocelot_can_inject" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xd2e45e1a, "ocelot_port_mirror_add" },
	{ 0x991b7f64, "ocelot_fdb_dump" },
	{ 0x79028b82, "ocelot_vlan_prepare" },
	{ 0x9b3e5ec, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf3fab96d, "ocelot_set_ageing_time" },
	{ 0xe4f3f746, "__ocelot_rmw_ix" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x4090168e, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9e3cfdf3, "ocelot_port_policer_del" },
	{ 0x5cec1880, "ocelot_port_lag_change" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0x33356eb8, "ocelot_port_policer_add" },
	{ 0xf3894f41, "ocelot_port_mdb_add" },
	{ 0xb5e44ce1, "ocelot_vlan_add" },
	{ 0x6028e5f6, "ocelot_sb_tc_pool_bind_get" },
	{ 0x4f6ba0d7, "ocelot_port_bridge_flags" },
	{ 0x3d047893, "ocelot_devlink_sb_unregister" },
	{ 0xccf2f456, "ocelot_port_bridge_leave" },
	{ 0xaa405627, "ocelot_port_set_maxlen" },
	{ 0x6689dad6, "ocelot_vcap_filter_replace" },
	{ 0x6e1cc118, "ocelot_get_max_mtu" },
	{ 0xf40d1bbc, "regmap_fields_update_bits_base" },
	{ 0xa0004204, "ocelot_sb_occ_snapshot" },
	{ 0x64eebc18, "ocelot_get_ts_info" },
	{ 0x87daecaf, "ocelot_sb_occ_max_clear" },
	{ 0x670899bf, "ocelot_port_get_mm" },
	{ 0xd74849f3, "ocelot_ptp_gettime64" },
	{ 0xedd39402, "ocelot_unlock_inj_grp" },
	{ 0xf5163d9f, "ocelot_get_strings" },
	{ 0x3d9860e3, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a80a2f0, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x5d9a54c8, "ocelot_unlock_xtr_grp_bh" },
	{ 0x1c7ce43f, "ocelot_port_add_dscp_prio" },
	{ 0x689bae11, "ocelot_drain_cpu_queue" },
	{ 0xc13a5a84, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x899eabcc, "__ocelot_read_ix" },
	{ 0x9918492e, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcb07ab67, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a9a1bb3, "ocelot_get_sset_count" },
	{ 0x3074b9fd, "ocelot_migrate_mdbs" },
	{ 0x3b4e1be9, "ocelot_hwstamp_get" },
	{ 0x52d4323, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9b70a562, "ocelot_port_bridge_join" },
	{ 0xbe9eb19e, "ocelot_fdb_add" },
	{ 0xaa3f98c8, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xc6025f79, "ocelot_xtr_poll_frame" },
	{ 0xd46f51b9, "ocelot_port_get_default_prio" },
	{ 0x78b4cb08, "ptp_classify_raw" },
	{ 0x4f8d045f, "ocelot_port_set_default_prio" },
	{ 0x28d93cb4, "dsa_tag_8021q_register" },
	{ 0x2693c5c8, "ocelot_port_get_mm_stats" },
	{ 0x94f06117, "ocelot_deinit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x5cd59aa7, "ocelot_vlan_del" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x1ff3b3c4, "ocelot_bond_get_id" },
	{ 0xb464acfe, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf9fbbe35, "ocelot_cls_flower_destroy" },
	{ 0xf11f9d72, "ocelot_port_vlan_filtering" },
	{ 0xfd5bb44a, "ocelot_port_get_rmon_stats" },
	{ 0x77d81ed8, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xea95f716, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe095a9d0, "ocelot_bridge_stp_state_set" },
	{ 0x5decbf48, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x99ae7167, "netif_rx" },
	{ 0xd327e859, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x24ec0fb9, "ocelot_fdb_del" },
	{ 0xa2c77f8f, "ocelot_phylink_mac_link_down" },
	{ 0x58b05842, "ocelot_port_lag_join" },
	{ 0xccf6013d, "ocelot_port_get_eth_phy_stats" },
	{ 0x921e9a3, "ocelot_port_lag_leave" },
	{ 0xab6f13c7, "ocelot_mrp_add_ring_role" },
	{ 0x2e142557, "ocelot_port_set_mm" },
	{ 0xdb8caa51, "ocelot_deinit_timestamp" },
	{ 0x17b15b01, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3412e39, "ocelot_port_get_stats64" },
	{ 0x636eb919, "ocelot_port_get_dscp_prio" },
	{ 0x7b63f378, "ocelot_port_mdb_del" },
	{ 0xb1660e72, "ocelot_port_get_eth_mac_stats" },
	{ 0xa67591ca, "ocelot_mact_flush" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
