#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x9b6a9202, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x4db5adc7, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xb5c51049, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x60b2a84e, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x858de256, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x04e16ef1, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47e30b97, "xdp_rxq_info_unreg_mem_model" },
	{ 0xda38e48b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x948ab311, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0xf037056d, "phylink_limit_mac_speed" },
	{ 0xb22c0452, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0xf848e311, "pinctrl_pm_select_default_state" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0x2791da76, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x10c63088, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54a7edd9, "__pm_runtime_set_status" },
	{ 0x62d268d6, "dma_map_page_attrs" },
	{ 0x61ab7783, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x7d6d522, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3cf2bfd2, "pm_wakeup_dev_event" },
	{ 0x794d9809, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa4588a98, "__napi_schedule" },
	{ 0x1868252e, "pm_runtime_enable" },
	{ 0x7455484c, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x740fe1c3, "netif_device_detach" },
	{ 0xe49309f9, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x41da44ef, "xpcs_create_mdiodev" },
	{ 0xd348f1c0, "napi_gro_receive" },
	{ 0x875f1e83, "netif_device_attach" },
	{ 0xc7236b94, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x2c8d377c, "netdev_pick_tx" },
	{ 0xeb821449, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xac06ea09, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a6ee4ce, "xdp_rxq_info_is_reg" },
	{ 0x1db58740, "devm_alloc_etherdev_mqs" },
	{ 0xf9706145, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xee29bb98, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xa83dcb5f, "dev_open" },
	{ 0x4afd9448, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xde1eed2, "xpcs_destroy" },
	{ 0xd4d1666, "pinctrl_pm_select_sleep_state" },
	{ 0xce536027, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e343eb, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2ad8a1fc, "ptp_clock_register" },
	{ 0x51fee778, "xsk_tx_peek_desc" },
	{ 0x62dbfc6c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92351006, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xfaf6cd5a, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xb05290b7, "skb_push" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0x6b6c9112, "napi_enable" },
	{ 0xde2b83dc, "xsk_clear_rx_need_wakeup" },
	{ 0x3246e347, "xpcs_get_interfaces" },
	{ 0x74e1341e, "xsk_uses_need_wakeup" },
	{ 0x3cee95ad, "register_netdev" },
	{ 0x1df374d, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x344e382b, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xffd88d6e, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44fbd14e, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2d4a1e94, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x9e07d0b9, "netif_tx_wake_queue" },
	{ 0xa799d3f0, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa0241022, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xcdaacdad, "flow_rule_match_ports" },
	{ 0xb4073a76, "phylink_fwnode_phy_connect" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd453143e, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xa2b977b1, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x61429bf6, "fwnode_get_named_child_node" },
	{ 0x89159699, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7905fdb, "ptp_clock_unregister" },
	{ 0xe2576cd0, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xecee5b68, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x837af58c, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd10265da, "xdp_return_frame_rx_napi" },
	{ 0x8cdea10, "netdev_alert" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0xa719d826, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9b9796, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc1da3f0c, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x79a056ed, "debugfs_rename" },
	{ 0xc450c7d8, "fwnode_property_present" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x57a122c4, "xsk_set_tx_need_wakeup" },
	{ 0xba3e7f2d, "netdev_reset_tc" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb520469a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe1fff90d, "xp_set_rxq_info" },
	{ 0xb7f8047b, "flow_rule_match_vlan" },
	{ 0x8553c95a, "xdp_rxq_info_unreg" },
	{ 0x263f4119, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c5ac530, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x683f008d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xb813a733, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1d333c50, "netif_carrier_on" },
	{ 0xbe344f0d, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x51136704, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0xb1c4e534, "xp_free" },
	{ 0xe0f4f3c7, "phy_support_eee" },
	{ 0xfc79eb12, "single_release" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x2751825a, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x7460cdf4, "skb_add_rx_frag_netmem" },
	{ 0x5fa79d84, "xdp_master_redirect" },
	{ 0xa8de79b8, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x697420e4, "napi_schedule_prep" },
	{ 0xf3b934e6, "napi_disable" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0x55c54c8c, "eth_header_parse_protocol" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xa674fc80, "__pm_runtime_disable" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe0e20f7f, "__pm_runtime_idle" },
	{ 0xa58bbde7, "ethtool_op_get_ts_info" },
	{ 0xb6580d97, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d51395, "__dev_fwnode" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xf6d83c8a, "netdev_info" },
	{ 0x377ac2b3, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe8bf08de, "mdiobus_alloc_size" },
	{ 0x693e6f9b, "__tracepoint_xdp_exception" },
	{ 0xf4cb48d6, "xsk_tx_completed" },
	{ 0xe2b7dae6, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5ef920b2, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5735c53c, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbf8712d6, "bpf_prog_put" },
	{ 0xd25afc95, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc482bad, "xp_dma_map" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xe9b8a5b8, "eth_mac_addr" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x2b5bce6f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe3be9da, "netdev_update_features" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6e9ee1d3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2155f701, "hrtimer_try_to_cancel" },
	{ 0x460acff1, "bpf_warn_invalid_xdp_action" },
	{ 0xcf3e5a1f, "unregister_netdev" },
	{ 0x7de4ce1a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x1a5c667, "xdp_features_set_redirect_target" },
	{ 0x55e657bd, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x3128b9c7, "ptp_clock_index" },
	{ 0x5af0b18f, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x92c7f261, "page_pool_destroy" },
	{ 0x423c7f28, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x784383ff, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcab124af, "flow_rule_match_ipv4_addrs" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "E715C3AB1DE414EA19AAA85");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
