#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xeb00c222, "");
SYMBOL_CRC(phy_get_rate_matching, 0x054da6a2, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x57c9ff4a, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x5d42c80b, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xad39dcc8, "");
SYMBOL_CRC(phy_mii_ioctl, 0xc9c2ff44, "");
SYMBOL_CRC(phy_do_ioctl, 0x26816a0a, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xdf86b54e, "");
SYMBOL_CRC(phy_queue_state_machine, 0x07154e3d, "");
SYMBOL_CRC(phy_trigger_machine, 0x1e6c5580, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x82143dd1, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xac6a066b, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x623dcde7, "");
SYMBOL_CRC(phy_start_cable_test, 0xfed42493, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xff1b16d9, "");
SYMBOL_CRC(phy_config_aneg, 0x79da83ed, "");
SYMBOL_CRC(_phy_start_aneg, 0xcf8e9284, "");
SYMBOL_CRC(phy_start_aneg, 0x388bcb6e, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x0582c95e, "");
SYMBOL_CRC(phy_speed_down, 0x961f6a64, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x7c4869b7, "_gpl");
SYMBOL_CRC(phy_start_machine, 0xc42c9875, "_gpl");
SYMBOL_CRC(phy_error, 0x96499e83, "");
SYMBOL_CRC(phy_request_interrupt, 0xabeccbb7, "");
SYMBOL_CRC(phy_free_interrupt, 0xc8cebf6f, "");
SYMBOL_CRC(phy_stop, 0xe483cfcd, "");
SYMBOL_CRC(phy_start, 0xd5c0b6de, "");
SYMBOL_CRC(phy_mac_interrupt, 0x9b2057e4, "");
SYMBOL_CRC(phy_init_eee, 0xeb821449, "");
SYMBOL_CRC(phy_get_eee_err, 0xf38fbe62, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xc63dd1fa, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xf8304569, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x2b440dd3, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x5bdaa5d0, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xe6f38405, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x43dc0411, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xe4719a12, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xb19c9fdc, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x5fba4622, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xdba1eb4f, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x0ed00a0f, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x20c6884c, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x191d7e62, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x81312558, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x323d42ec, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x3a33ec5e, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x4687bba8, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xbdc5624a, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xca396f3d, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x2be32c3c, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x902b0f4e, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xac90556c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xe9d1a451, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x452c0020, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xb4cfc1a6, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x8e5aef7d, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x362d8fdd, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xc7bce675, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x668a15b7, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x80ccfcaa, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xa8fc6f00, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xe6f0242c, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x23135dee, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xa6d3ab1e, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x005aedb0, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x0993a18f, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x853dca03, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xd379b84f, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xe4580d73, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x2752809f, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x33fc114c, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x6bee4f25, "");
SYMBOL_CRC(phy_read_mmd, 0xadae3c6c, "");
SYMBOL_CRC(__phy_write_mmd, 0xb12cc3a9, "");
SYMBOL_CRC(phy_write_mmd, 0xe6dc65ff, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x85a46b69, "");
SYMBOL_CRC(phy_package_read_mmd, 0xe731bdb0, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xb9000587, "");
SYMBOL_CRC(phy_package_write_mmd, 0xcbf52bcb, "");
SYMBOL_CRC(phy_modify_changed, 0x44440d9d, "_gpl");
SYMBOL_CRC(__phy_modify, 0x4beac6b0, "_gpl");
SYMBOL_CRC(phy_modify, 0x793f2f8e, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x74d1c9b1, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x3c1acfed, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x299e31c8, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xb83078f0, "_gpl");
SYMBOL_CRC(phy_save_page, 0x768537ff, "_gpl");
SYMBOL_CRC(phy_select_page, 0x73097055, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x86e73d03, "_gpl");
SYMBOL_CRC(phy_read_paged, 0xada78b0c, "");
SYMBOL_CRC(phy_write_paged, 0x2f78d778, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xddf18459, "");
SYMBOL_CRC(phy_modify_paged, 0x44bb285a, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0xea383e85, "");
SYMBOL_CRC(phy_register_fixup, 0x4c2038e1, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x3a52e4e9, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x2884dbb9, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x5de512f4, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xb1764e67, "");
SYMBOL_CRC(get_phy_device, 0xb42e8926, "");
SYMBOL_CRC(phy_device_register, 0x92754b32, "");
SYMBOL_CRC(phy_device_remove, 0xd21817a5, "");
SYMBOL_CRC(phy_get_c45_ids, 0x49a31add, "");
SYMBOL_CRC(phy_find_first, 0x379dcf3a, "");
SYMBOL_CRC(phy_connect_direct, 0x4e7cc383, "");
SYMBOL_CRC(phy_connect, 0xb5a5a8d2, "");
SYMBOL_CRC(phy_disconnect, 0x50bc7a90, "");
SYMBOL_CRC(phy_init_hw, 0x77805abb, "");
SYMBOL_CRC(phy_attached_info, 0x5af0b18f, "");
SYMBOL_CRC(phy_attached_info_irq, 0x1559d862, "");
SYMBOL_CRC(phy_attached_print, 0x85b6838c, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0xea01df5d, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0x622e1886, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x2f0dcbc7, "");
SYMBOL_CRC(phy_attach_direct, 0xad785829, "");
SYMBOL_CRC(phy_attach, 0x2a2149d5, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x737bb5ec, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xd981c1ad, "_gpl");
SYMBOL_CRC(phy_package_join, 0x8eb61cd1, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x6842f147, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xaa1faac8, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x7fe2fb46, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0xac936832, "_gpl");
SYMBOL_CRC(phy_detach, 0x9395a3b1, "");
SYMBOL_CRC(phy_suspend, 0x7e614a0f, "");
SYMBOL_CRC(__phy_resume, 0x23505462, "");
SYMBOL_CRC(phy_resume, 0xafbad56f, "");
SYMBOL_CRC(phy_loopback, 0xd2ba6c08, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x552b95bf, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x148d0bcc, "");
SYMBOL_CRC(genphy_setup_forced, 0xeb11241d, "");
SYMBOL_CRC(genphy_read_master_slave, 0x511b4781, "");
SYMBOL_CRC(genphy_restart_aneg, 0x8e13cf1a, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xf5d0b992, "");
SYMBOL_CRC(__genphy_config_aneg, 0x1c2a407e, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xdd7bd7ef, "");
SYMBOL_CRC(genphy_aneg_done, 0x48f422ef, "");
SYMBOL_CRC(genphy_update_link, 0xfc021f20, "");
SYMBOL_CRC(genphy_read_lpa, 0x96033aff, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x930d6e03, "");
SYMBOL_CRC(genphy_read_status, 0x6992a199, "");
SYMBOL_CRC(genphy_c37_read_status, 0x37daf2e9, "");
SYMBOL_CRC(genphy_soft_reset, 0x5d8b7985, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x5a191acf, "");
SYMBOL_CRC(genphy_read_abilities, 0x1ed529ad, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x13554a60, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x2a2bd0cb, "");
SYMBOL_CRC(genphy_suspend, 0xefbd067f, "");
SYMBOL_CRC(genphy_resume, 0x179a3221, "");
SYMBOL_CRC(genphy_loopback, 0x74db3061, "");
SYMBOL_CRC(phy_remove_link_mode, 0x0105f0b9, "");
SYMBOL_CRC(phy_advertise_supported, 0xc7c8c1fe, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x63afcbf6, "_gpl");
SYMBOL_CRC(phy_support_eee, 0xe0f4f3c7, "");
SYMBOL_CRC(phy_support_sym_pause, 0xd118d6ad, "");
SYMBOL_CRC(phy_support_asym_pause, 0xaaeb8643, "");
SYMBOL_CRC(phy_set_sym_pause, 0x184d88d4, "");
SYMBOL_CRC(phy_set_asym_pause, 0xba747cad, "");
SYMBOL_CRC(phy_validate_pause, 0xcdfb19df, "");
SYMBOL_CRC(phy_get_pause, 0x0573ed47, "");
SYMBOL_CRC(phy_get_internal_delay, 0x46ab7060, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xc761ef05, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xfb6d0b96, "");
SYMBOL_CRC(device_phy_find_device, 0x9237e84f, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0xa799d3f0, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x2e54ed37, "");
SYMBOL_CRC(phy_drivers_register, 0x617d1606, "");
SYMBOL_CRC(phy_driver_unregister, 0x3a0841b9, "");
SYMBOL_CRC(phy_drivers_unregister, 0xf4eda263, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0x479bf315, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0xab09fa5a, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x0bed955b, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xedbe8fdc, "");
SYMBOL_CRC(mdiobus_get_phy, 0xb813a733, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xb67f4059, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xe8bf08de, "");
SYMBOL_CRC(mdio_find_bus, 0x342513ed, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x7c5c844a, "");
SYMBOL_CRC(__mdiobus_register, 0x51136704, "");
SYMBOL_CRC(mdiobus_unregister, 0x0f9b9796, "");
SYMBOL_CRC(mdiobus_free, 0xffd88d6e, "");
SYMBOL_CRC(__mdiobus_read, 0x4e541a8d, "");
SYMBOL_CRC(__mdiobus_write, 0x17d67dbf, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x77377708, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x1f6a882e, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x06ae42da, "");
SYMBOL_CRC(mdiobus_read_nested, 0xf05c1b9f, "");
SYMBOL_CRC(mdiobus_read, 0xbf000462, "");
SYMBOL_CRC(mdiobus_c45_read, 0xaee48b60, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xc10d2cc0, "");
SYMBOL_CRC(mdiobus_write_nested, 0x6a9d9c87, "");
SYMBOL_CRC(mdiobus_write, 0x28abd063, "");
SYMBOL_CRC(mdiobus_c45_write, 0x3f16195c, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xb286e33e, "");
SYMBOL_CRC(__mdiobus_modify, 0xe9faf892, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x89115f1a, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x14870038, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x9054988b, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xd06c9077, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x4947434a, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x1b9c0b31, "");
SYMBOL_CRC(mdio_device_create, 0xe35476e0, "");
SYMBOL_CRC(mdio_device_register, 0x9b621a12, "");
SYMBOL_CRC(mdio_device_remove, 0xfe9d806d, "");
SYMBOL_CRC(mdio_device_reset, 0x6952ebfa, "");
SYMBOL_CRC(mdio_driver_register, 0x993fba3e, "");
SYMBOL_CRC(mdio_driver_unregister, 0xa7e9c412, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xe156017a, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x84bf41a6, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x02cf4ce3, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18417ea3, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c8db666, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x5eb32154, "gpiod_set_value_cansleep" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x693c7ff4, "devm_gpiod_get_optional" },
	{ 0x37bb94e7, "get_device" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x78dedc2a, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd03bfd9c, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3cf2bfd2, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f1875f2, "put_device" },
	{ 0xdbd21ae4, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xea2309c0, "module_put" },
	{ 0xee317446, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff738d88, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xb798ff87, "bus_find_device" },
	{ 0x8176caaf, "device_add" },
	{ 0xe1dcfd7c, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x5818558e, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xbb1633d0, "is_acpi_data_node" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x44b6c045, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x5f98ca07, "class_unregister" },
	{ 0xab33fa15, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3e8c9453, "device_register" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5d912d37, "device_bind_driver" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x89f173dc, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc77d1a2d, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8cdea10, "netdev_alert" },
	{ 0x24624230, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc1da3f0c, "fwnode_find_reference" },
	{ 0xd51f384e, "fwnode_property_read_string" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x91b5158b, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xac358c0a, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x683f008d, "netif_carrier_off" },
	{ 0xa9b542ae, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30bf8f8b, "led_trigger_register" },
	{ 0x1d333c50, "netif_carrier_on" },
	{ 0xf2e62eaa, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb5a59b38, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xf7eb4e91, "sysfs_create_link_nowarn" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x5b2dd9b0, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xcc2948cf, "led_trigger_event" },
	{ 0xe32cded0, "device_release_driver" },
	{ 0xb47c4f96, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x16af5399, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x69dabf2a, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa4225b84, "driver_register" },
	{ 0xc2490618, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d51395, "__dev_fwnode" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xf6d83c8a, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x493f490d, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x5ceb6616, "class_find_device" },
	{ 0xa7495936, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x33fff614, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xeafa6ed3, "is_acpi_device_node" },
	{ 0xd4d75beb, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf8329ff, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9515771B4A597A8AD8FECE3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
