#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xcf032b1e, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xe45dbd8d, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x4c2c7cca, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xad45b91c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0xfdb558e4, "lock_sock_nested" },
	{ 0x44fbd14e, "ethtool_op_get_link" },
	{ 0x32cfdb30, "nexthop_find_by_id" },
	{ 0x615fd7b3, "arp_create" },
	{ 0x7605e24d, "__ethtool_get_link_ksettings" },
	{ 0x92d46203, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x819ccf95, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2b201201, "netdev_adjacent_change_abort" },
	{ 0x6612333a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5811e3d8, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb8d3a12e, "__iptunnel_pull_header" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99ae7167, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x30bcf24f, "setup_udp_tunnel_sock" },
	{ 0x67911dba, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x837af58c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73161802, "skb_scrub_packet" },
	{ 0xf64765e7, "nexthop_select_path" },
	{ 0xc34dac35, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5a805673, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaa2394fd, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0x79f44856, "udp_tun_rx_dst" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb2bd09b1, "rtnl_notify" },
	{ 0x9b0c3ff2, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x94db8a5b, "__netif_rx" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xe1a58792, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7204c57c, "dst_release" },
	{ 0x469ac994, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x555e125f, "udp_tunnel_notify_del_rx_port" },
	{ 0xeace7b3a, "register_nexthop_notifier" },
	{ 0xa0ed6ef3, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x112e97b2, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4f557c26, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x21a20c9a, "netdev_core_stats_inc" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xf6d83c8a, "netdev_info" },
	{ 0x94d3b9f, "neigh_lookup" },
	{ 0x8c3b4a90, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x38a624bc, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x89f18d62, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0x14765e49, "netdev_adjacent_change_commit" },
	{ 0xe9b8a5b8, "eth_mac_addr" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7983ef7c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1cf70e51, "ip6_dst_hoplimit" },
	{ 0xbe95ad45, "param_ops_ushort" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xd59dc734, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70b111f, "udp_tunnel6_xmit_skb" },
	{ 0x76fd68d2, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcbbdebe3, "__unregister_nexthop_notifier" },
	{ 0x37ce8200, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xbe8ef871, "eth_validate_addr" },
	{ 0x7e03237d, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf6381fba, "rtnl_create_link" },
	{ 0xcacb0177, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x643dc5b, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5aada4d, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e92be50, "udp_tunnel_drop_rx_port" },
	{ 0x64fe2c9a, "netdev_upper_dev_link" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x8939ebf, "register_pernet_subsys" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0x10c63088, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xbbabff54, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf2182195, "eth_gro_complete" },
	{ 0x7f1cd868, "rtnl_set_sk_err" },
	{ 0xd99b240, "eth_gro_receive" },
	{ 0x899ac7ec, "rtnl_configure_link" },
	{ 0xfbea0d11, "skb_tunnel_check_pmtu" },
	{ 0xb912fef1, "udp_tunnel_dst_lookup" },
	{ 0x81820d9d, "rtnl_unicast" },
	{ 0xf4e2f36f, "peernet2id" },
	{ 0x3ab8d455, "__skb_get_hash_net" },
	{ 0x15c9a122, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x702f52bf, "rtnl_link_unregister" },
	{ 0x6e45ff15, "ipv6_stub" },
	{ 0xce536027, "skb_pull" },
	{ 0x8003fea7, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc745d37b, "dev_get_by_index_rcu" },
	{ 0xa6fd9967, "gro_cells_receive" },
	{ 0xb05290b7, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xa2a1baa5, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x6033883d, "__rtnl_register_many" },
	{ 0xb80c64da, "free_netdev" },
	{ 0xdb051aa8, "ip_mc_join_group" },
	{ 0xf86b00f3, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E599667AACBC655BE9ED9DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
