#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x7070d1df, "");
SYMBOL_CRC(ath10k_info, 0x392da0ef, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xade3b3e0, "");
SYMBOL_CRC(ath10k_err, 0xf7245ebb, "");
SYMBOL_CRC(ath10k_warn, 0xb204a061, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x90ca7f19, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x14d11023, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xa192615b, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x2ad526d3, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xdc358beb, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x22d433d4, "");
SYMBOL_CRC(ath10k_core_start, 0xbf95d5e0, "");
SYMBOL_CRC(ath10k_core_stop, 0x15ed5e3e, "");
SYMBOL_CRC(ath10k_core_register, 0xb7d69188, "");
SYMBOL_CRC(ath10k_core_unregister, 0x8c43a528, "");
SYMBOL_CRC(ath10k_core_create, 0x68d77ddc, "");
SYMBOL_CRC(ath10k_core_destroy, 0x0e33ca86, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xd76a2594, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x4100333e, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x76ca7a5d, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x53382572, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x1674d0f0, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xa85d0727, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x89b55583, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x1a746698, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x367f80a9, "");
SYMBOL_CRC(ath10k_bmi_start, 0x919208d6, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xb7560159, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xf6bc3b5c, "");
SYMBOL_CRC(ath10k_coredump_new, 0x5bb862f1, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x95a2bf21, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xb246346d, "");
SYMBOL_CRC(ath10k_ce_send, 0xe59df8e2, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xe81b311c, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x5d98894d, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xabd88963, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xc800df10, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x3d6daf13, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x596af2b3, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x90f969bb, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xacd8e9c7, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x0f0b287a, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x9292dd89, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x4795d1cd, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x853cf23f, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xde8056fd, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xf859c5f7, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x01f35aba, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x1a84c3c0, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x77949f77, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xaa580c9a, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xa9eba268, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x11e67c66, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xd6bcb040, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xc32d5fdf, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xc5ff8c40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xf3b934e6, "napi_disable" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xe9b1148, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xb872e4a9, "skb_queue_head" },
	{ 0xfe25f418, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5735c53c, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4d5167d6, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xeafa6ed3, "is_acpi_device_node" },
	{ 0xd25afc95, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ab83e73, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0xab59a317, "param_ops_uint" },
	{ 0xb4c10450, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe3a6320, "firmware_request_nowarn" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xee78596, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe576ed00, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x953c2a31, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90c79830, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x55e657bd, "dma_unmap_page_attrs" },
	{ 0xb9d8b619, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xbff7f7bc, "ieee80211_iterate_stations_atomic" },
	{ 0x84a77565, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x92973265, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x1b3bbacf, "thermal_cooling_device_register" },
	{ 0xffc0f036, "led_classdev_unregister" },
	{ 0xfded6e6f, "ieee80211_register_hw" },
	{ 0x2c496d82, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x5ae3917c, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x62d268d6, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa0c7f7cc, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x66c8bbd1, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb8ad2c30, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x4384b147, "skb_queue_tail" },
	{ 0xc1819867, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee317446, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa3753971, "wiphy_to_ieee80211_hw" },
	{ 0x895b8f32, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b137e86, "ieee80211_queue_delayed_work" },
	{ 0xb140456b, "ieee80211_proberesp_get" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xce536027, "skb_pull" },
	{ 0xe1dcfd7c, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d04d660, "init_uts_ns" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9dce0699, "ieee80211_find_sta_by_ifaddr" },
	{ 0x6dd09453, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6fa18ea0, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x6b6c9112, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa82a976b, "ieee80211_wake_queues" },
	{ 0xb80c64da, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0xaab30554, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8a639645, "ieee80211_free_txskb" },
	{ 0x6d1980de, "led_classdev_register_ext" },
	{ 0x22f68f96, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeea76ac0, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x775d0d65, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7268b6a3, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x649ad9ce, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb6845233, "devm_nvmem_cell_get" },
	{ 0x815c2a0f, "ieee80211_stop_queue" },
	{ 0x6321330c, "__netdev_alloc_skb" },
	{ 0x6f3a9ccf, "ieee80211_ready_on_channel" },
	{ 0xcfb89798, "ieee80211_stop_queues" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9347f371, "skb_realloc_headroom" },
	{ 0xaf8fc2f2, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf5437829, "alloc_netdev_dummy" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x401ac56f, "ieee80211_scan_completed" },
	{ 0xac64225d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0xb520469a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x337fac01, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e737f52, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59f93fbb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30f7ffb9, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6c2ad546, "ieee80211_tdls_oper_request" },
	{ 0x95bdd783, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xab1e428c, "thermal_cooling_device_unregister" },
	{ 0xfeaca6e5, "ieee80211_tx_rate_update" },
	{ 0x17663dc9, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "6D6B90764409B5623EE05A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
