#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xe80daab2, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x9ed37f30, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xe7603977, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xf2c58b9b, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x36e12ffb, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x19164b81, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x6e4d7330, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x8bdd828f, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xd56e86e9, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xa7d5c78f, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x039693ad, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x94deb1d2, "_gpl");
SYMBOL_CRC(mt76s_init, 0x3943aded, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x84bc6cba, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xb043c915, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xf6e0ba9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x37081376, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0xff5c0dce, "mt76_tx_status_check" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x80961e2a, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6547093a, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xefb7d3db, "sdio_readsb" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe092d821, "__SCK__tp_func_dev_irq" },
	{ 0x7d4bed71, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd482ed3b, "__put_devmap_managed_folio_refs" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0xdd174792, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d9fb29d, "mt76_queue_tx_complete" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0x4500e46d, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa56c7cc, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf9bf2ede, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5b9949b0, "sdio_claim_irq" },
	{ 0xa7dc27b6, "mt76_skb_adjust_pad" },
	{ 0x9c8833cf, "sdio_enable_func" },
	{ 0x6f060a61, "sdio_writesb" },
	{ 0x7460cdf4, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa65bf5f1, "sdio_release_host" },
	{ 0x759a6e45, "sdio_disable_func" },
	{ 0x6b34bf81, "sdio_set_block_size" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf572029, "sdio_claim_host" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "54F028CB8865FEF44139C6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
