#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xaad1cfa8, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x8f41a4d6, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x780ec5c0, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x8194ca0f, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xdbfc4a25, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x25986f5a, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xcdd036fd, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x67ae9735, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x4ef0e15c, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xbeaa09ef, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x71064f09, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x97504e53, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x9eedcb07, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x158e1397, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xe77e03ad, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x2f942cd6, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x649b7d04, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x4215d4d9, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x163526a7, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x45c62ef7, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x92531844, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x0c6dcce5, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x3c51f715, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xda6573bf, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x77e6985f, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x8eda5d5a, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x1f04c1fc, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xb896e6ab, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xabd5c6f0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x4400b93c, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xb33daf5f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xd921cd95, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x8d40cf70, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x1685a57d, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x8e72fff3, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xfe37ac22, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x19208261, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf364503f, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x811ad9da, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x86b62ef2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xce2557b0, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xe16a70b6, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x67b80efa, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x168442c2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xea5c5b86, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xda153041, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x441a9c1e, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x88fb29a6, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x54846434, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x66936b86, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x93bd555a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xece586ab, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xa688bef4, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x54905a80, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x36ae40bf, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x9d10d0b6, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x5cc25569, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x7740a3ea, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x8b2e7342, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x5311b0be, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x21a378ea, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xf43a77ec, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf2e2a537, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x291a65c2, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x43f6e6d5, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x246e7442, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3323f7c, "mt76_csa_check" },
	{ 0x699c407b, "mt76_tx_status_skb_add" },
	{ 0xbce5f9fc, "__tracepoint_mac_txdone" },
	{ 0x2ff7a068, "mt76_tx_check_agg_ssn" },
	{ 0x84a77565, "ieee80211_tx_status_ext" },
	{ 0x5ee84eb7, "mt76_stop_tx_queues" },
	{ 0x810e1e91, "___pskb_trim" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3d9c343a, "__mt76_tx_complete_skb" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2c496d82, "ieee80211_restart_hw" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0x54d850de, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2b1b3ea0, "kthread_park" },
	{ 0xacc0f704, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc2ade86, "mt76_wcid_init" },
	{ 0xff5c0dce, "mt76_tx_status_check" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x46d8d15c, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61ab7783, "napi_complete_done" },
	{ 0xf157acde, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc7fd2b, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc0e3e2b1, "mt76_tx" },
	{ 0xa4588a98, "__napi_schedule" },
	{ 0x886534bf, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe21f6204, "mt76_wcid_key_setup" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x521741ac, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x74fc4176, "kthread_unpark" },
	{ 0x27d8ee7d, "mt76_phy_dfs_state" },
	{ 0xa3753971, "wiphy_to_ieee80211_hw" },
	{ 0xf184b3bd, "mt76_init_queue" },
	{ 0x1e52e863, "debugfs_attr_read" },
	{ 0x98ca6573, "__mt76_sta_remove" },
	{ 0x38a717d8, "mt76_tx_status_skb_done" },
	{ 0x7b137e86, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x40391e9b, "debugfs_create_bool" },
	{ 0xce536027, "skb_pull" },
	{ 0x68733fae, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe092d821, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6b6c9112, "napi_enable" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x7d0e1b8f, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xa82a976b, "ieee80211_wake_queues" },
	{ 0x75c18aae, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf39830bc, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcbb40ab, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6e1c32c8, "mt76_set_irq_mask" },
	{ 0xb4611c5f, "bpf_trace_run1" },
	{ 0x9633493d, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0xa897066a, "__SCK__tp_func_mac_txdone" },
	{ 0x98d25d50, "mt76_seq_puts_array" },
	{ 0xcfb89798, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4500e46d, "__tracepoint_dev_irq" },
	{ 0xa719d826, "seq_read" },
	{ 0x62f14d21, "mt76_mcu_get_response" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0xac64225d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac517fe0, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbb94952, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x554475ca, "seq_write" },
	{ 0xd4cc7562, "____mt76_poll_msec" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x59f93fbb, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc3b28435, "mt76_wcid_cleanup" },
	{ 0x95bdd783, "ieee80211_radar_detected" },
	{ 0xfc79eb12, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3f4b44c, "mt76_queues_read" },
	{ 0xf20bb92c, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x697420e4, "napi_schedule_prep" },
	{ 0xf3b934e6, "napi_disable" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0x4fddb62d, "__mt76_poll" },
	{ 0x6fe5383e, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9e1a7f5b, "debugfs_create_u8" },
	{ 0x665bbd8, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbe10cadf, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xb4b05518, "mt76_dma_rx_poll" },
	{ 0x7a569c8f, "mt76_tx_status_unlock" },
	{ 0xa88f3773, "simple_attr_open" },
	{ 0x3024f072, "debugfs_attr_write" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6e9ee1d3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3a048183, "mt76_tx_status_skb_get" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x77d56d32, "mt76_tx_status_lock" },
	{ 0x953c2a31, "skb_dequeue" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "71CBEAE21FA6A6AF1D58B43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
