#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xf76b1bfe, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xce60aa22, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xcc0a89be, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xd8d85a0a, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x52122885, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xbf4ea915, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xf4a6425b, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x4cb3f42c, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x9d257ee9, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x7a16680c, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x11071747, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xdd4944d9, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x0ef156d4, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x4f39edec, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x45823a50, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x15f79d12, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x57bb4691, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xab99bee7, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xe13fd069, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x1b838e9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf364503f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe37ac22, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x811ad9da, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xe9cf7c29, "mt76_eeprom_init" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x19208261, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x75c18aae, "mt76_mcu_send_and_get_msg" },
	{ 0x1f510c9, "mt76_eeprom_override" },
	{ 0x86b62ef2, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb246895, "mt76_get_sar_power" },
	{ 0x8e72fff3, "mt76x02_eeprom_copy" },
	{ 0xd921cd95, "mt76x02_mcu_calibrate" },
	{ 0x67b80efa, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x6799fea5, "mt76_get_min_avg_rssi" },
	{ 0xda77da89, "mt76_init_sar_power" },
	{ 0xda153041, "mt76x02_phy_adjust_vga_gain" },
	{ 0x5311b0be, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
