#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x7eb7a61e, "");
SYMBOL_CRC(fc_host_post_event, 0x66630ab1, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x368c5dd0, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x859a2aae, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x74d0955e, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x3999a8d9, "");
SYMBOL_CRC(fc_eh_timed_out, 0xfcb65819, "");
SYMBOL_CRC(fc_attach_transport, 0xb54f3cef, "");
SYMBOL_CRC(fc_release_transport, 0xf774954c, "");
SYMBOL_CRC(fc_remove_host, 0x598c6358, "");
SYMBOL_CRC(fc_remote_port_add, 0xd4cf0bdc, "");
SYMBOL_CRC(fc_remote_port_delete, 0xcbebea0b, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x10d0b70a, "");
SYMBOL_CRC(fc_block_rport, 0x6e815607, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xfbfdebc6, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xe61ee824, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xc29151e8, "");
SYMBOL_CRC(fc_vport_terminate, 0x27d3a9a5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x94a2feb9, "attribute_container_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b67e5f6, "scsi_host_get" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x37bb94e7, "get_device" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xa7d16abf, "transport_setup_device" },
	{ 0x8176caaf, "device_add" },
	{ 0x10c10bdb, "transport_add_device" },
	{ 0x32697ec3, "transport_configure_device" },
	{ 0xee317446, "sysfs_create_link" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xe13f2ac2, "attribute_container_register" },
	{ 0x5fed3c1b, "scsi_flush_work" },
	{ 0x60fa5708, "bsg_remove_queue" },
	{ 0x2715f2b7, "scsi_target_unblock" },
	{ 0x6d2127e7, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91131b9, "scsi_is_target_device" },
	{ 0x1e09093a, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa423c595, "scsi_queue_work" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27df6cf8, "blk_mq_run_hw_queues" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x21ab4294, "bsg_job_get" },
	{ 0x4de161af, "blk_mq_end_request" },
	{ 0x71da1e78, "bsg_job_put" },
	{ 0x808824fb, "bsg_job_done" },
	{ 0xab59a317, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f1875f2, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xfc9dc92b, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xec4e0e01, "scsi_host_put" },
	{ 0xe1dcfd7c, "sysfs_remove_link" },
	{ 0x436fdc3, "transport_remove_device" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x8380e402, "transport_destroy_device" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0x49a52ce4, "transport_class_register" },
	{ 0x9108c0d0, "transport_class_unregister" },
	{ 0xad7ff405, "scsi_nl_sock" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x903974f6, "netlink_broadcast_filtered" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x6df797c6, "scsi_init_limits" },
	{ 0x3d96d7c1, "bsg_setup_queue" },
	{ 0xfac13fce, "blk_queue_rq_timeout" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x7db4dacc, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
