#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x1f7961fe, "");
SYMBOL_CRC(sas_remove_host, 0xd79b6276, "");
SYMBOL_CRC(sas_get_address, 0x912905f2, "");
SYMBOL_CRC(sas_tlr_supported, 0x889aef05, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xdaf767e5, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xa7f1044f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x0c32757b, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x08b78f63, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x48b66436, "");
SYMBOL_CRC(sas_phy_add, 0x5942a62e, "");
SYMBOL_CRC(sas_phy_free, 0xd45bc5cd, "");
SYMBOL_CRC(sas_phy_delete, 0x8c691707, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xc5f425fa, "");
SYMBOL_CRC(sas_port_alloc, 0x4c23a205, "");
SYMBOL_CRC(sas_port_alloc_num, 0x1a84714f, "");
SYMBOL_CRC(sas_port_add, 0x5f6d9e73, "");
SYMBOL_CRC(sas_port_free, 0xeb2eae19, "");
SYMBOL_CRC(sas_port_delete, 0x08d459fe, "");
SYMBOL_CRC(scsi_is_sas_port, 0x2221c656, "");
SYMBOL_CRC(sas_port_get_phy, 0x2e8b9ca4, "");
SYMBOL_CRC(sas_port_add_phy, 0x15fe7ddf, "");
SYMBOL_CRC(sas_port_delete_phy, 0x298fe749, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xbc8ed689, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x79dd1dcf, "");
SYMBOL_CRC(sas_end_device_alloc, 0xb3451bdd, "");
SYMBOL_CRC(sas_expander_alloc, 0x99aa989a, "");
SYMBOL_CRC(sas_rphy_add, 0x38194b43, "");
SYMBOL_CRC(sas_rphy_free, 0x6dbb478b, "");
SYMBOL_CRC(sas_rphy_delete, 0xa10a539d, "");
SYMBOL_CRC(sas_rphy_unlink, 0x8e3e4993, "");
SYMBOL_CRC(sas_rphy_remove, 0xc1874ba4, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x4d43a21f, "");
SYMBOL_CRC(sas_attach_transport, 0x512421a6, "");
SYMBOL_CRC(sas_release_transport, 0x2d428f11, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xe13f2ac2, "attribute_container_register" },
	{ 0x38e3cbe7, "scsi_get_vpd_page" },
	{ 0xf463b10a, "scsi_mode_sense" },
	{ 0x94a2feb9, "attribute_container_unregister" },
	{ 0xe9495e2d, "scsi_remove_host" },
	{ 0x60fa5708, "bsg_remove_queue" },
	{ 0x6d2127e7, "scsi_remove_target" },
	{ 0x7db4dacc, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x808824fb, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc209c1c8, "dma_opt_mapping_size" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xa7d16abf, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x461354c, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f1875f2, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8176caaf, "device_add" },
	{ 0x10c10bdb, "transport_add_device" },
	{ 0x32697ec3, "transport_configure_device" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x8380e402, "transport_destroy_device" },
	{ 0x436fdc3, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37bb94e7, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe1dcfd7c, "sysfs_remove_link" },
	{ 0xee317446, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0xfc9dc92b, "scsi_scan_target" },
	{ 0x3d96d7c1, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x49a52ce4, "transport_class_register" },
	{ 0x9108c0d0, "transport_class_unregister" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
