#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xbaca3cef, "");
SYMBOL_CRC(sdw_amd_exit, 0xe0d4b443, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0x7961e73e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bc986f7, "sdw_stream_remove_master" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xa9c957ae, "platform_device_unregister" },
	{ 0xb97a8944, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f9cbccd, "__platform_driver_register" },
	{ 0x6350f322, "devm_kasprintf" },
	{ 0x95c4ab03, "sdw_stream_add_master" },
	{ 0xc792ad22, "platform_device_register_full" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x72842afe, "acpi_fetch_acpi_dev" },
	{ 0x26bfe974, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x99c088b2, "sdw_bus_master_delete" },
	{ 0x21b96596, "__pm_runtime_use_autosuspend" },
	{ 0xa674fc80, "__pm_runtime_disable" },
	{ 0xa4838fbe, "sdw_compute_slave_ports" },
	{ 0x43839e, "sdw_bus_exit_clk_stop" },
	{ 0xc219a08a, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9fd1a073, "sdw_bus_prep_clk_stop" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4eef5dff, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x94850911, "sdw_bus_clk_stop" },
	{ 0x26d384cf, "pm_runtime_set_autosuspend_delay" },
	{ 0xffac5183, "sdw_bus_master_add" },
	{ 0xde1b297, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x461354c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8decb887, "sdw_handle_slave_status" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54a7edd9, "__pm_runtime_set_status" },
	{ 0xc780d867, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1868252e, "pm_runtime_enable" },
	{ 0x90e22f54, "fwnode_property_read_u32_array" },
	{ 0x938f5351, "sdw_clear_slave_status" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "28CDA231589925865647A53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
