#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x313a3c68, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x8b1bc9b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29c6ca0, "xhci_stop" },
	{ 0x6e4e2f36, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x182b2e19, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x6de1fa6f, "xhci_suspend" },
	{ 0x8c4af85a, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xce1d0d3b, "xhci_update_hub_device" },
	{ 0x565a840, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4de734a7, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdb1e2bea, "xhci_run" },
	{ 0x2386bf4d, "xhci_dbg_trace" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xc2cec0e6, "pci_unregister_driver" },
	{ 0x331517ec, "__tracepoint_xhci_dbg_init" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6b390f3c, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x41d0e75d, "xhci_gen_setup" },
	{ 0x2ed5f2d2, "pci_read_config_byte" },
	{ 0x45db9b17, "pci_set_mwi" },
	{ 0xeafa6ed3, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x964e30fe, "xhci_resume" },
	{ 0xa6d3acd0, "usb_enable_intel_xhci_ports" },
	{ 0x57be79ad, "__devm_reset_control_get" },
	{ 0xaef0dbf, "usb_hcd_pci_probe" },
	{ 0xd78173d2, "usb_create_shared_hcd" },
	{ 0x40c310a7, "xhci_ext_cap_init" },
	{ 0xf354c51, "usb_add_hcd" },
	{ 0x68d25305, "pm_runtime_allow" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x30ab605e, "pci_match_id" },
	{ 0x9dc4a41a, "xhci_shutdown" },
	{ 0x2579c411, "usb_hcd_pci_shutdown" },
	{ 0x30fbc91c, "usb_hcd_pci_pm_ops" },
	{ 0x44e4fa59, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x2c30bcf5, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3340bd3a, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1d31608, "pci_choose_state" },
	{ 0x10ce799f, "usb_remove_hcd" },
	{ 0x35dc5850, "usb_put_hcd" },
	{ 0xa961511c, "usb_hcd_pci_remove" },
	{ 0x96e8d188, "pm_runtime_forbid" },
	{ 0xe0e20f7f, "__pm_runtime_idle" },
	{ 0x740c2d7f, "pci_set_power_state" },
	{ 0xc0d4005c, "xhci_init_driver" },
	{ 0x99ed18c4, "__pci_register_driver" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "A62EBB0E2232AE3696A2107");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
