#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x11d7fe5f, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xf59074b7, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x0c0ab227, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x0e3879b7, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xd6f55cb8, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x2b8c1928, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xbcfccd80, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x53535c43, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x66b95c28, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xc961a08a, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x4b1ca4ca, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x8d0bc502, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x5b598de6, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x1b327421, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x21588fc9, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xa06ce0cd, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x83b5983c, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x6c8a9c50, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x5b4ad229, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x58a27fef, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xc8dc7617, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xd2cbac1a, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x82556fce, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x0a501332, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xdee1f7fe, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xd39bb5f1, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x26c3c926, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x168ea91f, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x8c7609bf, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xf2a60803, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xf2ee191b, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xa9a93510, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xabea7c0e, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x40b49a2b, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x8c2ceb07, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xb74cb103, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x285365bd, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x9ecce0f8, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0x12b9867b, "_gpl");
SYMBOL_CRC(typec_register_port, 0x145eee48, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xad8dec35, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xde197d0f, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x0efe619a, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xe0cad7dd, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xa810987f, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xead55da3, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x48666d6a, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xb551ba74, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xb612d86d, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x89e03ea2, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xd984c93d, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x96f7c0e4, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xc30ad8c8, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xdb033cbd, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xdfe4d942, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xc56a0f29, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x364e71cc, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xfa5b8624, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x8e00e21a, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xf2b474a3, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x198d2d69, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x89bc2d78, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x8ca92399, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x0a8a3dc3, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xad8a3430, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x537de8d9, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x21eb8536, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xcf666430, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x0fdc9dec, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xad0d25f7, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x9861c5f4, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xff36bb19, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xeb1c427a, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x6fea9f7e, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x78e2d82c, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x10eedbb8, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x754593cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f98ca07, "class_unregister" },
	{ 0x8bf9e19b, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3e8c9453, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd51f384e, "fwnode_property_read_string" },
	{ 0xc450c7d8, "fwnode_property_present" },
	{ 0xcf661f82, "component_master_del" },
	{ 0x475cdc7d, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x26bfe974, "device_get_named_child_node" },
	{ 0xfdfc6fbf, "component_bind_all" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa9b542ae, "device_match_name" },
	{ 0xbc1758e3, "kobject_uevent" },
	{ 0x290d1ca2, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x283a84b8, "component_unbind_all" },
	{ 0xa4225b84, "driver_register" },
	{ 0xc2490618, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x7d51395, "__dev_fwnode" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x493f490d, "bus_register" },
	{ 0x5ceb6616, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x33fff614, "try_module_get" },
	{ 0xeafa6ed3, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa0e83ce6, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0xa5d0a753, "acpi_bus_for_each_dev" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c6d3fb3, "fwnode_connection_find_match" },
	{ 0x53ab1da7, "fwnode_get_next_child_node" },
	{ 0x461354c, "device_for_each_child" },
	{ 0x37bb94e7, "get_device" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc9df07e6, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd03bfd9c, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f1875f2, "put_device" },
	{ 0x90e22f54, "fwnode_property_read_u32_array" },
	{ 0xea2309c0, "module_put" },
	{ 0xee317446, "sysfs_create_link" },
	{ 0x82c8877e, "fwnode_get_name" },
	{ 0x74079d0c, "kobject_uevent_env" },
	{ 0x3f916867, "sysfs_update_group" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x8176caaf, "device_add" },
	{ 0xe1dcfd7c, "sysfs_remove_link" },
	{ 0x57e02d8, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5361054975C640BAB1B88FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
