#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xc605b6b0, "");
SYMBOL_CRC(w1_remove_master_device, 0xb077f5bf, "");
SYMBOL_CRC(w1_register_family, 0x03feb9fb, "");
SYMBOL_CRC(w1_unregister_family, 0x443fc087, "");
SYMBOL_CRC(w1_touch_bit, 0xe710f0fa, "_gpl");
SYMBOL_CRC(w1_write_8, 0x4411ee11, "_gpl");
SYMBOL_CRC(w1_triplet, 0x12af4a21, "_gpl");
SYMBOL_CRC(w1_read_8, 0xfff4ecee, "_gpl");
SYMBOL_CRC(w1_write_block, 0xc73c4a73, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x2855d33c, "_gpl");
SYMBOL_CRC(w1_read_block, 0x2f147720, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xa1fd5d27, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x10e7a16b, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x150ab88d, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xde949820, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ce357f9, "cn_netlink_send_mult" },
	{ 0x9f1875f2, "put_device" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x34430fe6, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x14cb90a8, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3e8c9453, "device_register" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0xc34dac35, "pv_ops" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xbc1758e3, "kobject_uevent" },
	{ 0xc22ded85, "hwmon_device_unregister" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa4225b84, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe7216c94, "cn_add_callback" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x493f490d, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0xc41895dd, "sysfs_remove_groups" },
	{ 0x6bbfc25d, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
