#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x09156f2c, "");
SYMBOL_CRC(configfs_depend_item, 0x8b7d2afe, "");
SYMBOL_CRC(configfs_undepend_item, 0x1550fa13, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x82b7d46a, "");
SYMBOL_CRC(configfs_register_group, 0x3b7b1cc9, "");
SYMBOL_CRC(configfs_unregister_group, 0x18b88e6a, "");
SYMBOL_CRC(configfs_register_default_group, 0x7560a33b, "");
SYMBOL_CRC(configfs_unregister_default_group, 0x36b572cd, "");
SYMBOL_CRC(configfs_register_subsystem, 0xdfce3ffd, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x961caec9, "");
SYMBOL_CRC(config_item_set_name, 0x410d126b, "");
SYMBOL_CRC(config_item_init_type_name, 0xc21724b1, "");
SYMBOL_CRC(config_group_init_type_name, 0x40f6bbdf, "");
SYMBOL_CRC(config_item_get, 0x997d6fda, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x70e80f96, "");
SYMBOL_CRC(config_item_put, 0x257b9b2d, "");
SYMBOL_CRC(config_group_init, 0x2ca26b07, "");
SYMBOL_CRC(config_group_find_item, 0xfc56e8f2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbba8d8d5, "path_put" },
	{ 0xa29ddd68, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ca51d21, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8209e6d8, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb98e37b8, "simple_setattr" },
	{ 0x168d4a1f, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea2309c0, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x89b5c086, "kmem_cache_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x713549bf, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x4a5f8f36, "kern_path" },
	{ 0xfd222555, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38baaf9d, "kmem_cache_alloc_noprof" },
	{ 0x2dfb0a16, "ram_aops" },
	{ 0xc72d60b, "d_delete" },
	{ 0xbebc78df, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x54d62a04, "generic_read_dir" },
	{ 0x8fd172bd, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xeff87188, "inode_set_ctime_current" },
	{ 0xb6face3b, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xe808f587, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xb61df96c, "generic_delete_inode" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xa97a3e6d, "simple_release_fs" },
	{ 0x8cd4f6ac, "d_parent_ino" },
	{ 0x8ee09134, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0x8bee3402, "inode_permission" },
	{ 0x588a0796, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xc04d82cf, "simple_pin_fs" },
	{ 0x5c974c2b, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xaaff18a8, "__d_drop" },
	{ 0x3d834d28, "simple_rmdir" },
	{ 0x33fff614, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x63467f1d, "d_instantiate" },
	{ 0xd904e577, "_copy_to_iter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x295e8fcb, "free_inode_nonrcu" },
	{ 0x11c92b01, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbbd732a9, "unregister_filesystem" },
	{ 0xbc4a9833, "d_alloc_name" },
	{ 0x79c1d46f, "simple_statfs" },
	{ 0x142f5832, "d_make_root" },
	{ 0xfee8af23, "always_delete_dentry" },
	{ 0xf61d26a2, "fsnotify" },
	{ 0x2052189a, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8004bf90, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x870884a3, "iput" },
	{ 0x2216d50f, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x2b21dffa, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x7f770879, "register_filesystem" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
