#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x99a15d27, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xa82aa0eb, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x11c11230, "_gpl");
SYMBOL_CRC(fat_scan, 0x5dea4ce7, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x32995e24, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x51ea3369, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xf4ba9fd6, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x58b62a51, "_gpl");
SYMBOL_CRC(fat_getattr, 0xd16d6602, "_gpl");
SYMBOL_CRC(fat_setattr, 0xbc54d065, "_gpl");
SYMBOL_CRC(fat_attach, 0x044f3f80, "_gpl");
SYMBOL_CRC(fat_detach, 0xd9843be0, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xad39f6f3, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xa5b7a4d0, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xdffbd8e2, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xe7602782, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xb56a9f14, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xdf0dfec7, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xfebeb776, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x5bccab83, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x73c6ebb0, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xca8222d8, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x56ddb7db, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xc8e3c304, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xfb2686f4, "_gpl");
SYMBOL_CRC(fat_update_time, 0x3b38543c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b89c4dd, "block_invalidate_folio" },
	{ 0xae9a46d7, "__breadahead" },
	{ 0x1238fb76, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf473e73b, "load_nls" },
	{ 0x79834773, "generic_cont_expand_simple" },
	{ 0x316c5f23, "truncate_inode_pages_final" },
	{ 0x2855c7d5, "generic_file_mmap" },
	{ 0x42e87c3d, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x84af32e9, "ilookup" },
	{ 0xdebd222, "invalidate_inode_buffers" },
	{ 0xbcdcbbf9, "blk_finish_plug" },
	{ 0xc36b507b, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc8da2115, "mnt_drop_write_file" },
	{ 0x8352c32a, "fs_param_is_gid" },
	{ 0x879ee1b6, "inode_init_once" },
	{ 0xdec6e32f, "compat_ptr_ioctl" },
	{ 0x99195272, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xffb3445a, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1bec03e3, "generic_file_read_iter" },
	{ 0x705089ac, "inode_maybe_inc_iversion" },
	{ 0x2f8447c8, "truncate_pagecache" },
	{ 0xc6d568c0, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x16581af3, "setattr_copy" },
	{ 0xb76cda8f, "__wait_on_buffer" },
	{ 0xd05fef52, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xf3cc8af5, "kmem_cache_alloc_lru_noprof" },
	{ 0x89b5c086, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x3269a9d5, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x4a733c40, "from_vfsgid" },
	{ 0xceb1dce1, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbc2b8d80, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a88f99b, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2132677f, "block_dirty_folio" },
	{ 0x59e6ff01, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xa20285d4, "__insert_inode_hash" },
	{ 0x4c4ede71, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38baaf9d, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbebc78df, "__kmem_cache_create_args" },
	{ 0x83679072, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa297d6bb, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfaea4bab, "generic_encode_ino32_fh" },
	{ 0x6a0a1342, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x38b58101, "igrab" },
	{ 0x54d62a04, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x126c8477, "mpage_readahead" },
	{ 0x1638fb9a, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x554475ca, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x87fc1d9b, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xad936066, "blkdev_issue_flush" },
	{ 0x1f67d634, "generic_fh_to_parent" },
	{ 0x1ab96af1, "__fs_parse" },
	{ 0xcc56e4d7, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfb2fcf76, "from_kuid_munged" },
	{ 0xeb80db92, "__generic_file_fsync" },
	{ 0x8cd4f6ac, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1bc31f8d, "__mark_inode_dirty" },
	{ 0x588a0796, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc84e4cf, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x3e65bd8d, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x62a467c5, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x79425c3e, "fs_param_is_uid" },
	{ 0x5c974c2b, "kmem_cache_destroy" },
	{ 0x24add87a, "blkdev_issue_discard" },
	{ 0x8b60af16, "filemap_fdatawrite" },
	{ 0x2924a9e3, "generic_fillattr" },
	{ 0xb86b5828, "setattr_prepare" },
	{ 0x882904b7, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x567ed7a1, "sync_blockdev_nowait" },
	{ 0x99bade71, "make_vfsgid" },
	{ 0x3f976df3, "blk_start_plug" },
	{ 0x3b376f5f, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbf01ae0d, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd9d7497d, "fs_param_is_string" },
	{ 0x11c92b01, "new_inode" },
	{ 0x96d2caac, "mark_buffer_dirty" },
	{ 0x29de1214, "security_inode_setattr" },
	{ 0xc1f95ecc, "__find_get_block" },
	{ 0xccb83663, "filemap_fdatawrite_range" },
	{ 0x47b456c9, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa3bbb63c, "__blockdev_direct_IO" },
	{ 0x142f5832, "d_make_root" },
	{ 0x6fcade2, "__bforget" },
	{ 0xc9eb5e83, "sb_set_blocksize" },
	{ 0x2eb3d836, "block_truncate_page" },
	{ 0xb81a8428, "write_dirty_buffer" },
	{ 0x55da0905, "sync_filesystem" },
	{ 0xf61d26a2, "fsnotify" },
	{ 0x2052189a, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x58dd8559, "from_vfsuid" },
	{ 0x6253725b, "inode_dio_wait" },
	{ 0x8004bf90, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd32e877, "cont_write_begin" },
	{ 0x870884a3, "iput" },
	{ 0x8d70c786, "fs_param_is_enum" },
	{ 0xd1e35256, "fs_param_is_s32" },
	{ 0x348d780c, "iter_file_splice_write" },
	{ 0x8f466b14, "fs_param_is_bool" },
	{ 0xb63738e0, "generic_file_write_iter" },
	{ 0xdb81dbf9, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x882dabca, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf4880d8a, "fs_param_is_u32" },
	{ 0xd28ea0d1, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
