#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x522178b4, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x05a6dc13, "");
SYMBOL_CRC(ax25_linkfail_release, 0x001bcdc9, "");
SYMBOL_CRC(ax25_listen_register, 0xb7673052, "");
SYMBOL_CRC(ax25_listen_release, 0xceaeed02, "");
SYMBOL_CRC(ax25_header_ops, 0xcbc3cd4f, "");
SYMBOL_CRC(ax25_ip_xmit, 0x3a4b262d, "");
SYMBOL_CRC(ax25_send_frame, 0xb1cd555c, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xbf124c01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0x117d877a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x908bc312, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xaf5609e1, "sock_register" },
	{ 0x6e88617b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x409735ad, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2beb80aa, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4384b147, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf6098f81, "dev_get_by_name_rcu" },
	{ 0x4b667f9f, "init_net" },
	{ 0xce536027, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa6c58960, "dev_remove_pack" },
	{ 0x747b74e2, "sk_free" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xfdb558e4, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa6a2aa60, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6e464ebb, "__skb_wait_for_more_packets" },
	{ 0x87c6acb6, "sk_alloc" },
	{ 0xf398ae44, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x649ad9ce, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2a2c2a2, "sock_no_mmap" },
	{ 0x99ae7167, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d355389, "sock_rfree" },
	{ 0xb861947f, "sock_i_ino" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x289e772f, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x20b9eba1, "sock_alloc_send_pskb" },
	{ 0x554475ca, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x30f7ffb9, "skb_copy" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x68ca9f7b, "sock_gettstamp" },
	{ 0x298bb058, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfb2fcf76, "from_kuid_munged" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0xdd029d21, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa16f1359, "sock_init_data" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x8c3b4a90, "release_sock" },
	{ 0xb872e4a9, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x4730c137, "security_sock_graft" },
	{ 0x5fc95728, "skb_free_datagram" },
	{ 0x2948734c, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x6fec14e4, "skb_expand_head" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x60be6a94, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x953c2a31, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1344899, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41DC71C8C7CA42A56E134DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
