#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_user, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0x6e50d33a, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x07ae4b2c, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x96f5faa9, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb2b93078, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x62e959e7, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xa6a953a9, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x453f8159, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x70d49dbc, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x0f79c21b, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x925240c8, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x3d9860e3, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x6234a0a9, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x53bbb65b, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x48cb0d05, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x3764788a, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xcb07ab67, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xdf41ff59, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xecc5ea66, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x1cc7a842, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x9f87c6ec, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x187740f4, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x473fd85c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x7c0dfb0e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x28d93cb4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x09b3e5ec, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x629bead9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_user, 0xe5b0d8ac, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x0dbda0fd, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xa0bd1965, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x1b07b3e9, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xb20815fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9f1875f2, "put_device" },
	{ 0x1bafe762, "devlink_resource_register" },
	{ 0xa1647993, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x740fe1c3, "netif_device_detach" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a8619b4, "switchdev_bridge_port_offload" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x875f1e83, "netif_device_attach" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0xea2309c0, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x78b4cb08, "ptp_classify_raw" },
	{ 0xa83dcb5f, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x5aeab3af, "devlink_region_create" },
	{ 0xd89334e4, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x702f52bf, "rtnl_link_unregister" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0x304dcd58, "devlink_port_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x4b667f9f, "init_net" },
	{ 0x8299c3b7, "noop_qdisc" },
	{ 0x82143dd1, "phy_ethtool_get_strings" },
	{ 0xa7fe8d24, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x9572ad19, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa6c58960, "dev_remove_pack" },
	{ 0x1f0f813c, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa6fd9967, "gro_cells_receive" },
	{ 0x5f94aedc, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xb05290b7, "skb_push" },
	{ 0xa2a1baa5, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4152e60, "dev_mc_del" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0xbeb961c, "br_vlan_get_info" },
	{ 0xb80c64da, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xffd88d6e, "mdiobus_free" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0x27770196, "devlink_resource_occ_get_register" },
	{ 0x44fbd14e, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x8bf9e19b, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc9fb848b, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa72708e8, "switchdev_bridge_port_unoffload" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x623dcde7, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xbf414b0e, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99ae7167, "netif_rx" },
	{ 0x8963942b, "dev_mc_add" },
	{ 0xed35e02, "flow_block_cb_alloc" },
	{ 0xfb101c1, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x837af58c, "__dynamic_netdev_dbg" },
	{ 0xc34dac35, "pv_ops" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0x2f672cc, "net_selftest" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0xf9b9796, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xe88a5d72, "devlink_port_init" },
	{ 0x38b81d4d, "__netpoll_setup" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0xe1ea66d1, "vlan_vid_add" },
	{ 0xcd942a9, "devlink_params_register" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0xaac3d734, "br_vlan_get_info_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xf36826c3, "vlan_vid_del" },
	{ 0xa33a4692, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb88f1090, "devlink_resources_unregister" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x1f44ccdf, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x683f008d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc1ad0ca0, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9249f00, "devlink_port_region_create" },
	{ 0x6610347a, "devlink_priv" },
	{ 0x30f7ffb9, "skb_copy" },
	{ 0x3fe5a1f3, "__hw_addr_sync_dev" },
	{ 0xf02f02d4, "devlink_port_register_with_ops" },
	{ 0xb813a733, "mdiobus_get_phy" },
	{ 0x7204c57c, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x51136704, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe69eee90, "dev_uc_add" },
	{ 0x8d870f8c, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbd5bc7cb, "br_mst_enabled" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x34e5384f, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0xf5c670c, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x69dabf2a, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xd7fa0e2c, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xede4db79, "dcb_ieee_setapp" },
	{ 0xac6a066b, "phy_ethtool_get_sset_count" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x31be2cea, "__skb_vlan_pop" },
	{ 0x377ac2b3, "phylink_connect_phy" },
	{ 0xc97bb2e, "br_get_ageing_time" },
	{ 0x38a624bc, "register_netdevice" },
	{ 0xe8bf08de, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xfd737ef4, "netdev_lower_get_next" },
	{ 0x708fdcd2, "flow_block_cb_lookup" },
	{ 0x5b2a04a6, "switchdev_handle_port_obj_add_foreign" },
	{ 0x781044e9, "devlink_resource_occ_get_unregister" },
	{ 0xb70d8671, "dev_set_mtu" },
	{ 0x9fcb14ba, "br_vlan_enabled" },
	{ 0x4b8bb7af, "__skb_pad" },
	{ 0x33fff614, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa09809d0, "skb_ensure_writable_head_tail" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0x3d8e46ff, "devlink_unregister" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13e1c332, "br_port_flag_is_set" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7983ef7c, "call_switchdev_notifiers" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6b8b5cdb, "br_port_get_stp_state" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x60be6a94, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19d2f4f2, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56342804, "__netpoll_free" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0xda4be95f, "br_vlan_get_proto" },
	{ 0x548f5f76, "br_mst_get_state" },
	{ 0xcf3e5a1f, "unregister_netdev" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x6be854db, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x35c3d24, "netpoll_send_skb" },
	{ 0x76fd68d2, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb7ad104e, "devlink_params_unregister" },
	{ 0x2cc8b1d9, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1e65060, "devlink_alloc_ns" },
	{ 0x96a0000c, "dev_set_promiscuity" },
	{ 0xefa7761f, "devlink_register" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x87bc99f7, "devlink_free" },
	{ 0x7e03237d, "gro_cells_init" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0x784383ff, "netdev_warn" },
	{ 0xcacb0177, "unregister_netdevice_queue" },
	{ 0x37bb94e7, "get_device" },
	{ 0x2fdd5202, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5aada4d, "ether_setup" },
	{ 0x98215358, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x948ab311, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x64fe2c9a, "netdev_upper_dev_link" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0xd8696988, "switchdev_handle_port_attr_set" },
	{ 0xb22c0452, "phylink_create" },
	{ 0xc9569faf, "vlan_for_each" },
	{ 0x4248f9e0, "netdev_port_same_parent_id" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0x10c63088, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34322801, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xc48a2cf3, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x169b420a, "vlan_dev_vlan_proto" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "2D66BAC7E5473266DA7FFAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
