#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x7ba02b65, "");
SYMBOL_CRC(wpan_phy_for_each, 0xabc916da, "");
SYMBOL_CRC(wpan_phy_new, 0x0bf4f0ed, "");
SYMBOL_CRC(wpan_phy_register, 0x5c112caf, "");
SYMBOL_CRC(wpan_phy_unregister, 0x6ea7205b, "");
SYMBOL_CRC(wpan_phy_free, 0xc354d601, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x807e053b, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x1d4fa15d, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xe1c3d397, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xe4b265ce, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x0f5cb624, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xf9038513, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x4b37b3d0, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xce82c955, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x1dc45524, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xc50e7196, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xbe8e59f5, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xe863f93d, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xaa821dff, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x9255e745, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xa5089fe4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d304f20, "nla_put" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x5f98ca07, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb5030ed, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb4611c5f, "bpf_trace_run1" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x9f7ef7ce, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0x595e585a, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3aaff857, "get_net_ns_by_pid" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa9b542ae, "device_match_name" },
	{ 0xee8d8903, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc90931f, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15e0ec9, "genl_register_family" },
	{ 0xa2763079, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x825f61c7, "register_pernet_device" },
	{ 0x2a3676bc, "get_net_ns_by_fd" },
	{ 0xc2490618, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x5ceb6616, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x888163da, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x99d8ac2b, "genlmsg_put" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x37bb94e7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x903974f6, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x94d29f80, "device_rename" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f1875f2, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa5faf8fb, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0x4b667f9f, "init_net" },
	{ 0xce536027, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8176caaf, "device_add" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5384864a, "netlink_unicast" },
	{ 0x3d3baecf, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
