#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xae8f5c5f, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x69852525, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x8638e58f, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0xfb832be2, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xe47e5182, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x9fff5b2a, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x3ccd16ff, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x94e161ac, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x42186c31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x33fff614, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xea2309c0, "module_put" },
	{ 0x4a1b3de8, "__netlink_dump_start" },
	{ 0xbe2bb6ff, "sock_diag_unregister" },
	{ 0x7fa65fd4, "sock_diag_unregister_inet_compat" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa87ccda7, "sock_diag_register" },
	{ 0x61dc7e69, "sock_diag_register_inet_compat" },
	{ 0xa2f4787f, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0xdfb331ad, "inet6_lookup" },
	{ 0x4f55e3fa, "sock_diag_check_cookie" },
	{ 0xf3a91ffe, "sock_gen_put" },
	{ 0x713f7c3c, "__inet_lookup_established" },
	{ 0xae0e769d, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a18e288, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe15190a5, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5384864a, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x747b74e2, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb909c3ac, "sock_diag_save_cookie" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xcc1483b4, "sock_i_uid" },
	{ 0xfb2fcf76, "from_kuid_munged" },
	{ 0xb861947f, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F85384506243E4694C237");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
