#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x1e84ab3d, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xca760de0, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xba66aad9, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x42766cdf, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xfd8f0715, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xad8d9c42, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x86de71cf, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x045df686, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x96248053, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x980b6fdb, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xf0309156, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x0fe1eb41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7e03237d, "gro_cells_init" },
	{ 0xde2001a5, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x702f52bf, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4b667f9f, "init_net" },
	{ 0x34322801, "alloc_netdev_mqs" },
	{ 0x3cee95ad, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xb80c64da, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x38a624bc, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x5c6fe5db, "netdev_state_change" },
	{ 0x5a1758ce, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x409735ad, "make_kuid" },
	{ 0xc215e810, "ip6_redirect" },
	{ 0x45211097, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa8d7e6b8, "ip6_route_output_flags" },
	{ 0x8ae05c, "xfrm_lookup" },
	{ 0x866b425, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x73161802, "skb_scrub_packet" },
	{ 0x9347f371, "skb_realloc_headroom" },
	{ 0x289e772f, "skb_set_owner_w" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xcaedb3ce, "ipv6_push_frag_opts" },
	{ 0xb05290b7, "skb_push" },
	{ 0x14a0d0b8, "ip6_local_out" },
	{ 0x6d976efd, "dst_cache_get" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0xf84425fc, "dst_cache_set_ip6" },
	{ 0xa10a95f2, "ipv6_dev_get_saddr" },
	{ 0x1cf70e51, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8343bfd4, "ipv4_mtu" },
	{ 0xaa2394fd, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x643dc5b, "iptunnel_handle_offloads" },
	{ 0x5251cbb4, "icmpv6_ndo_send" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5e37edcc, "icmp_ndo_send" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xce536027, "skb_pull" },
	{ 0xeadcd7f1, "icmp6_send" },
	{ 0x173de5c6, "ip_route_output_flow" },
	{ 0x5918622c, "ip_route_input_noref" },
	{ 0xa6b0088d, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6fd9967, "gro_cells_receive" },
	{ 0x10c63088, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb8d3a12e, "__iptunnel_pull_header" },
	{ 0xe1a58792, "metadata_dst_alloc" },
	{ 0xe701c89f, "__xfrm_policy_check" },
	{ 0xa12d516d, "__skb_ext_del" },
	{ 0xbf414b0e, "dev_get_tstats64" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee504d92, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x36808d43, "ipv6_chk_addr_and_flags" },
	{ 0xc745d37b, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x825f61c7, "register_pernet_device" },
	{ 0xde1864bc, "xfrm6_tunnel_register" },
	{ 0x76fd68d2, "rtnl_link_register" },
	{ 0x4d58ec20, "xfrm6_tunnel_deregister" },
	{ 0xb5030ed, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcacb0177, "unregister_netdevice_queue" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0xd2d35f30, "rt6_lookup" },
	{ 0x7204c57c, "dst_release" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "77E96F1E82FBA05ADA1E5AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
