#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x7115dc95, "");
SYMBOL_CRC(pn_sock_unhash, 0x979b4f3a, "");
SYMBOL_CRC(phonet_stream_ops, 0x33a5c84e, "");
SYMBOL_CRC(pn_sock_get_port, 0x8f65f58f, "");
SYMBOL_CRC(phonet_header_ops, 0x088e54d1, "");
SYMBOL_CRC(pn_skb_send, 0xdf56e2da, "");
SYMBOL_CRC(phonet_proto_register, 0x9494d881, "");
SYMBOL_CRC(phonet_proto_unregister, 0x95b6ec56, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x117d877a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x908bc312, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaf5609e1, "sock_register" },
	{ 0x6e88617b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0xe0681521, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f1cd868, "rtnl_set_sk_err" },
	{ 0x2beb80aa, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea2309c0, "module_put" },
	{ 0x42e0be95, "__sk_receive_skb" },
	{ 0x7d162692, "sock_no_shutdown" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x4b667f9f, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xa6c58960, "dev_remove_pack" },
	{ 0x3d3baecf, "dev_get_by_index" },
	{ 0x747b74e2, "sk_free" },
	{ 0x1da1590c, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0xb58b4384, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x6033883d, "__rtnl_register_many" },
	{ 0xfdb558e4, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa6a2aa60, "skb_copy_datagram_iter" },
	{ 0x87c6acb6, "sk_alloc" },
	{ 0x819ccf95, "unregister_pernet_subsys" },
	{ 0xf398ae44, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a2c2a2, "sock_no_mmap" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x99ae7167, "netif_rx" },
	{ 0xd3e167ee, "sock_common_recvmsg" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9f3baa7b, "sk_common_release" },
	{ 0xedfb852a, "seq_pad" },
	{ 0xb861947f, "sock_i_ino" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x8037b610, "skb_recv_datagram" },
	{ 0x20b9eba1, "sock_alloc_send_pskb" },
	{ 0x554475ca, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb2bd09b1, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfb2fcf76, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa16f1359, "sock_init_data" },
	{ 0xcea36633, "sk_ioctl" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c3b4a90, "release_sock" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x4730c137, "security_sock_graft" },
	{ 0x5fc95728, "skb_free_datagram" },
	{ 0x2948734c, "sock_queue_rcv_skb_reason" },
	{ 0x33fff614, "try_module_get" },
	{ 0xcc1483b4, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0x60be6a94, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x3566973b, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x810e1e91, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x5be0641b, "sock_no_connect" },
	{ 0xbd0113e9, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x43f030e4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x8939ebf, "register_pernet_subsys" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4924F66FE3C12BF0274286");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
