#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x180d7ce6, "");
SYMBOL_CRC(tipc_dump_start, 0xcd5e5c2c, "");
SYMBOL_CRC(tipc_dump_done, 0x9b551bd5, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x962ca297, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10c63088, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x908bc312, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xaf5609e1, "sock_register" },
	{ 0x33e3d1b2, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7fda6c58, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x623b2f69, "skb_try_coalesce" },
	{ 0x2beb80aa, "proto_register" },
	{ 0x40505ede, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x4384b147, "skb_queue_tail" },
	{ 0xea2309c0, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x86dca3df, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x686cc9e5, "__dev_get_by_index" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0x4b667f9f, "init_net" },
	{ 0x6e45ff15, "ipv6_stub" },
	{ 0xce536027, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x731d7e3c, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5384864a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x71be3c86, "__SCK__tp_func_sk_data_ready" },
	{ 0xa6c58960, "dev_remove_pack" },
	{ 0x747b74e2, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd3a93d04, "kernel_sock_shutdown" },
	{ 0x1da1590c, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xb05290b7, "skb_push" },
	{ 0x6d976efd, "dst_cache_get" },
	{ 0xb58b4384, "sock_no_listen" },
	{ 0x8d304f20, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb3bb2933, "iov_iter_kvec" },
	{ 0xdb051aa8, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb5030ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfdb558e4, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa6a2aa60, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x87c6acb6, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x819ccf95, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xc869dd2e, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6612333a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2a2c2a2, "sock_no_mmap" },
	{ 0xdd661899, "security_sk_clone" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x99ae7167, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x30bcf24f, "setup_udp_tunnel_sock" },
	{ 0x67911dba, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ce35418, "skb_trim" },
	{ 0xc43e874a, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc34dac35, "pv_ops" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2d355389, "sock_rfree" },
	{ 0xb861947f, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd535a24e, "kernel_listen" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x70b91664, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa676fb37, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf84425fc, "dst_cache_set_ip6" },
	{ 0x1766bcf8, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x9b0c3ff2, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x59f9f135, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x30f7ffb9, "skb_copy" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xee8d8903, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0x93113c76, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xe6b765f9, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa8039bb2, "sk_stop_timer" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xcc90931f, "genl_unregister_family" },
	{ 0xfb2fcf76, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x15e0ec9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd5fa3ae5, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4903d17a, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x825f61c7, "register_pernet_device" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa16f1359, "sock_init_data" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x8c3b4a90, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa2f4787f, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xcc1483b4, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1cf70e51, "ip6_dst_hoplimit" },
	{ 0x888163da, "trace_output_call" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0x60be6a94, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xd59dc734, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x70c2a458, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4d15abb6, "dst_cache_set_ip4" },
	{ 0x70b111f, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x99d8ac2b, "genlmsg_put" },
	{ 0x810e1e91, "___pskb_trim" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xae2c5b71, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb93d0896, "__tracepoint_sk_data_ready" },
	{ 0x784383ff, "netdev_warn" },
	{ 0xd7d75cad, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6c85e216, "crypto_aead_decrypt" },
	{ 0x1e66622f, "kernel_accept" },
	{ 0x44afc1e1, "__module_get" },
	{ 0x173de5c6, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xefb1c217, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x8939ebf, "register_pernet_subsys" },
	{ 0xc3a9f7f9, "put_cmsg" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x117d877a, "register_net_sysctl_sz" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F309758CB126566E0DB34DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
