#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x7064a48c, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x9b7bc74d, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x5863b7ab, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x40db407a, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x47d12438, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xa19e8ddb, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xc77c1df9, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x1c8aaf75, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x7515e63f, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x94629d67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3623000f, "snd_pcm_hw_rule_noresample" },
	{ 0x596c7aa6, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8d81934, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xda32c56f, "snd_dma_alloc_dir_pages" },
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0xab59a317, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x651d7b3e, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdcb07b23, "snd_ac97_write_cache" },
	{ 0x20b719e0, "snd_ctl_add" },
	{ 0x4eb1d00d, "snd_ac97_resume" },
	{ 0xa47a287a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb060248a, "snd_seq_device_new" },
	{ 0x2a98d00d, "snd_card_register" },
	{ 0x41db61bf, "request_firmware" },
	{ 0x1b44598b, "snd_devm_alloc_dir_pages" },
	{ 0x99ed18c4, "__pci_register_driver" },
	{ 0x4e7949d5, "snd_pcm_hw_constraint_minmax" },
	{ 0x694286ea, "snd_pcm_set_sync_per_card" },
	{ 0x19d0ae48, "snd_timer_interrupt" },
	{ 0x195d99f6, "param_array_ops" },
	{ 0x2ee1a281, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb60bc6a, "snd_card_rw_proc_new" },
	{ 0x19cd2131, "snd_ac97_update_bits" },
	{ 0xd97c986a, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xebdbb867, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x9282af4a, "snd_ctl_remove" },
	{ 0x73683539, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe4b42fae, "snd_ctl_find_id" },
	{ 0xc2cec0e6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c729fb7, "pci_read_config_dword" },
	{ 0xed5afc2d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7ef3c69, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc9f5e48, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x27b01f88, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x5a706572, "snd_ac97_suspend" },
	{ 0xcf4f148d, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x65f52b41, "snd_ctl_boolean_mono_info" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0xc020d39, "snd_pcm_lib_ioctl" },
	{ 0xe6a9a9b4, "snd_pcm_lib_free_pages" },
	{ 0xa8b21960, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1dd9d65, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xa3bfe900, "snd_ctl_notify" },
	{ 0xac88a149, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0bc1d5e, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x670b4d25, "snd_timer_new" },
	{ 0xf9c823e2, "snd_ctl_rename" },
	{ 0xa63101e3, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8f2b4e0e, "snd_ac97_update" },
	{ 0x8ab7cfe9, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x11aaacb5, "pci_set_master" },
	{ 0x64aeeaa7, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7d7e027a, "snd_rawmidi_new" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0x30947e35, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3718e869, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0xe5a783a7, "snd_rawmidi_set_ops" },
	{ 0x2777a6c9, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0x10336bd1, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xf35ca785, "snd_info_create_card_entry" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x107379ea, "snd_device_free" },
	{ 0x5a3c030, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xe3014fe7, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
