#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x5e675fbc, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x825fccde, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x99eb308b, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xbe75f2f4, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xd0183452, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x6e605e3a, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xc19aa582, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xf0637c4f, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xb550de23, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x0947c5db, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x56450cf8, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xcff0e332, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x15d79fb7, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x6e10c800, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x39398ec4, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x7c2c037c, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xbd1a3b7a, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x48a7f668, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xe546e0b6, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x5224f86a, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x392e5f58, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xf4976435, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0xe05ccd7c, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x5f5ca832, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xb0be19fa, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xa0a804f3, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x4ba0dbad, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x65de2743, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x342f7eae, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x231bc895, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x42de8bce, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xa5e531b3, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x85ab5ae1, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xa2a566a5, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xa9cf7259, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xbfb8f950, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xf7425d47, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x9667daee, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x809b72b8, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x0a13de0a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x9af5b9eb, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xed8f4f99, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x07c06f70, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x2ff2a91d, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xa3913d71, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x7a3c0c83, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xe66bb759, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x150020fc, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xcb2c2eaf, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x119f1b55, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x3670234a, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x10a91127, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x38fad8c0, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x76bc1735, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0x290d797f, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x86634e51, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xd5ceb7bb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xbe281161, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x32231471, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x7ecf05e1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x1542b2b4, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x56836028, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xafba9216, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x25b1871a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x4d94388c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xf83f2197, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x8482b8c0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x9b40679c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xba855c00, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x9eee5ae0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x31003082, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x17485c1e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x89ea82c7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x0c252d02, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x077604ed, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x2337fbb8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xb6f76fc4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xa8e0886e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x7d135019, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x13d6d8f3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x57047382, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xc49de0a0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x5fd72e09, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xe3c74707, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x1b239025, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xe0f768f6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xc57067a3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xbf774125, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x81a1b682, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x8e9d4abd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x8cda1b41, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xccac9c4c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x627b20e2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x52440526, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xe4ca7ab4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x1d7baa1d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x87f5e57b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xd1b84ce8, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xc82a13dc, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x8ee50422, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xb3cf8499, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x04b3acb3, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x0ec1c33e, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xfc137525, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x8a7211c4, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x6c621d19, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x2dc4433c, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xc194552a, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x0989f0b6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x4680666d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x698c8e10, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x3996ffa1, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x8f9bc71f, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x6fee8d7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xe19b1c7d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x3616cc05, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x9a60e10f, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x0761cb3c, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x9f0abb45, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xb30ef830, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x1f45abf5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x98e7daaf, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x861a9ac9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x134de388, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xa360dfa5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xb714ebc2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xe5076d70, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x5ece276a, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xeb142cb7, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x8b2f6e52, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x3df5dd7d, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xf2cafd54, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x149b0e0c, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xcb7d50c3, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xe8d16787, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x62f28694, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x03c99606, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x08afbfa4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x5d735a4d, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x12a3034c, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xc33f4e3d, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0xd91485bb, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xd4697069, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x260af4bd, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x5eae3ef0, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x952089ff, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xbb3c775d, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x61437055, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x3aa2d6c1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0xb6414055, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xfa9136f1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x12b09acc, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xbbef1ae3, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x6a0f7769, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x1bf1ee1b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x387070b0, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x46ff7fc8, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x42378fff, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xcf5878c4, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x767acfeb, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x5a55e8a9, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xd471a1d0, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x0237cbf1, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xfda0263f, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xd789dc88, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x67adb246, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x7d584b08, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xda37b9de, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x0666c21a, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x81d76049, "_gpl");
SYMBOL_CRC(widget_in_list, 0xffc00cdc, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x8cf88e06, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xe29dd249, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x8024808b, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x61e5bfac, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x1cc7ad96, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xc780d867, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xa5014288, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x4c06854b, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xa358dbcc, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x6fc8ea87, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xa5b91bd2, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xe1c563b6, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x87b02ff9, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x400e3bd5, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x1a3f3ab3, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x576e86f0, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x53f10043, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xbea25992, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x29779da3, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xe3066cf6, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x02748ee6, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x60b80788, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x0c34928f, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xb4caa570, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x22a9c0d5, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xf9b9b3fe, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x55063b58, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x070837f2, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x5d393694, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0xe94520b0, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x4dced5dc, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x64990118, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x56ca227e, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x7ab7b198, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xa3837145, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x5b03332a, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xe6b129a9, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x5bff7e7f, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x5b8aa128, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xeb240ff9, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x493aca6b, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x077389fe, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x60861595, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x194c57bd, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x563e79d7, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x0fae746e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xb0321a95, "devm_kstrdup" },
	{ 0x5185609a, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xad58d6d5, "debugfs_lookup_and_remove" },
	{ 0x9f1875f2, "put_device" },
	{ 0x5b73b98c, "gpiod_unexport" },
	{ 0x3b91f92a, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6cc2347f, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7683e778, "snd_dmaengine_pcm_close" },
	{ 0x29cab91f, "dma_get_slave_caps" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xea2309c0, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x78944658, "snd_card_new" },
	{ 0x24b850b1, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1e48b6f4, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd502d172, "snd_dmaengine_pcm_request_channel" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xf04ac8e5, "devm_kfree" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xd4d1666, "pinctrl_pm_select_sleep_state" },
	{ 0x8e2e9c9e, "simple_open" },
	{ 0xc020d39, "snd_pcm_lib_ioctl" },
	{ 0xa9c957ae, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x27dffa0, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x30c4ea22, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x299187c8, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x561bee48, "dev_get_regmap" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x5818558e, "__devres_alloc_node" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa3bfe900, "snd_ctl_notify" },
	{ 0x2ad728d0, "regulator_allow_bypass" },
	{ 0xac88a149, "snd_pcm_set_ops" },
	{ 0xec8ce92d, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe0bc1d5e, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x10df0341, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3e8c9453, "device_register" },
	{ 0xb4611c5f, "bpf_trace_run1" },
	{ 0x7bc2aba7, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1d1ab5d, "snd_dmaengine_pcm_open" },
	{ 0x8d7e1b2e, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4feb74d9, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbe790c1, "snd_dmaengine_pcm_pointer" },
	{ 0x5f9cbccd, "__platform_driver_register" },
	{ 0xf2d49e32, "dma_request_chan" },
	{ 0x6350f322, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcec394b1, "pinctrl_lookup_state" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0xa719d826, "seq_read" },
	{ 0x9933fbee, "snd_compress_new" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xa7757848, "snd_hwparams_to_dma_slave_config" },
	{ 0xc792ad22, "platform_device_register_full" },
	{ 0x2780c5e, "regmap_read" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1f685c8b, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8a02f75d, "pinctrl_select_state" },
	{ 0x7798cea3, "snd_power_wait" },
	{ 0x1cdfde9c, "snd_pcm_hw_constraint_msbits" },
	{ 0xfc79eb12, "single_release" },
	{ 0x250d7047, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0xd6fa0701, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x486fc9a1, "device_add_groups" },
	{ 0x22c79db5, "__pm_runtime_suspend" },
	{ 0xef15361e, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77300027, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe0e20f7f, "__pm_runtime_idle" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8318d88c, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xbc779a57, "gpiod_get_value_cansleep" },
	{ 0x71d67ee7, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x33fff614, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xd904e577, "_copy_to_iter" },
	{ 0xd4d75beb, "gpiod_put" },
	{ 0x26f33c61, "regmap_write" },
	{ 0xab59a317, "param_ops_uint" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xe5156029, "regmap_get_val_bytes" },
	{ 0x4eef5dff, "platform_driver_unregister" },
	{ 0x20b719e0, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8df7b976, "snd_dmaengine_pcm_sync_stop" },
	{ 0xa47a287a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca007620, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0xb82dc676, "regmap_raw_read" },
	{ 0x2a98d00d, "snd_card_register" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0xab356a47, "snd_card_free" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0xf9919204, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x476fffb5, "gpiod_get_index" },
	{ 0xf64e83ca, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x4e7949d5, "snd_pcm_hw_constraint_minmax" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0xf3e18792, "gpiod_to_irq" },
	{ 0xbc4408e5, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2029c31, "dma_release_channel" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbc8eca32, "regcache_mark_dirty" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xca8f70bf, "regulator_disable_deferred" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x9282af4a, "snd_ctl_remove" },
	{ 0x8694f02d, "snd_ctl_free_one" },
	{ 0xe4b42fae, "snd_ctl_find_id" },
	{ 0x685bca52, "devm_clk_get" },
	{ 0x78dedc2a, "devres_add" },
	{ 0x81bf7452, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1ca9a90c, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x9f8fc2ed, "snd_dmaengine_pcm_get_chan" },
	{ 0xf848e311, "pinctrl_pm_select_default_state" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xd7ef3c69, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x40ae5d2e, "snd_pcm_stream_unlock_irq" },
	{ 0x3cf2bfd2, "pm_wakeup_dev_event" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "B417E8FC934CA4486EAEE5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
