#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sm4_avx_ecb_encrypt, "_gpl", "");
KSYMTAB_FUNC(sm4_avx_ecb_decrypt, "_gpl", "");
KSYMTAB_FUNC(sm4_cbc_encrypt, "_gpl", "");
KSYMTAB_FUNC(sm4_avx_cbc_decrypt, "_gpl", "");
KSYMTAB_FUNC(sm4_avx_ctr_crypt, "_gpl", "");

SYMBOL_CRC(sm4_avx_ecb_encrypt, 0xf47d5608, "_gpl");
SYMBOL_CRC(sm4_avx_ecb_decrypt, 0x6e853f8a, "_gpl");
SYMBOL_CRC(sm4_cbc_encrypt, 0x2f6e595d, "_gpl");
SYMBOL_CRC(sm4_avx_cbc_decrypt, 0xc4364bd0, "_gpl");
SYMBOL_CRC(sm4_avx_ctr_crypt, 0x09058717, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x3ba7039a, "skcipher_walk_virt" },
	{ 0xde26cddb, "simd_register_skciphers_compat" },
	{ 0x24e254e8, "sm4_expandkey" },
	{ 0xcaa68533, "cpu_has_xfeatures" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda1d828b, "skcipher_walk_done" },
	{ 0xfa81970e, "sm4_crypt_block" },
	{ 0x4e68f207, "simd_unregister_skciphers" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x3ef051c8, "crypto_inc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "crypto_simd,sm4");


MODULE_INFO(srcversion, "CCDF12D9423FFA002B37CC9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
