#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x23612cae, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x79c7310d, "_gpl");
SYMBOL_CRC(af_alg_release, 0xd0fc6cfd, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xf6adf91f, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x1bfce210, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x4182013d, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x260278ae, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x44f71dba, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xc6e2f798, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x57008504, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xab9079f1, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x8286f535, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x565021a1, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x6f930b30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x87c6acb6, "sk_alloc" },
	{ 0xa16f1359, "sock_init_data" },
	{ 0x9af4addd, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe788abf9, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3c76644b, "extract_iter_to_sg" },
	{ 0x2beb80aa, "proto_register" },
	{ 0xaf5609e1, "sock_register" },
	{ 0x908bc312, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x33fff614, "try_module_get" },
	{ 0xfdb558e4, "lock_sock_nested" },
	{ 0x8c3b4a90, "release_sock" },
	{ 0xea2309c0, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x1bd5770b, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf9bf2ede, "__folio_put" },
	{ 0xd482ed3b, "__put_devmap_managed_folio_refs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x747b74e2, "sk_free" },
	{ 0x4730c137, "security_sock_graft" },
	{ 0xdd661899, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x35b1392d, "sock_wake_async" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0x63eb6461, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0xb29f1d19, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xad6b7329, "key_put" },
	{ 0xd778898b, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5be0641b, "sock_no_connect" },
	{ 0xf398ae44, "sock_no_socketpair" },
	{ 0xfc3e8840, "sock_no_getname" },
	{ 0x5c2ad2a2, "sock_no_ioctl" },
	{ 0xb58b4384, "sock_no_listen" },
	{ 0x7d162692, "sock_no_shutdown" },
	{ 0x2f022bfe, "sock_no_sendmsg" },
	{ 0x3b044f3e, "sock_no_recvmsg" },
	{ 0x2a2c2a2, "sock_no_mmap" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
