#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x04f3eef7, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x5375bb36, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x4c1d470e, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x08c7dff3, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xcc4ad915, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x5b5f70b5, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x5598e7a5, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x9536ef75, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xadaaa9db, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xc0732547, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xc4a32b51, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xad28f900, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x9fd477aa, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x47c12a2b, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x81970d44, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x8df0f8c5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x5c7f1255, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x4a8659ec, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xbfcfee8b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x461d0e77, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x98e82800, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x3ce0dbf4, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x45820649, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xef2382b6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xafeafc63, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x1ef66fb7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x85387798, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x3d8d760f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x8acd6995, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xea4141f3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x8b2ff6a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3253482, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x81c4bcce, "kthread_create_worker" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x93b136db, "sched_set_fifo" },
	{ 0xffdfaaff, "crypto_register_aead" },
	{ 0xe7ccbe1c, "crypto_unregister_aead" },
	{ 0x75c260de, "crypto_register_ahash" },
	{ 0x918d627a, "crypto_unregister_ahash" },
	{ 0xe9e4fc72, "crypto_register_akcipher" },
	{ 0x8cbaffd, "crypto_unregister_akcipher" },
	{ 0x2090f3d3, "crypto_register_kpp" },
	{ 0xe22c585f, "crypto_unregister_kpp" },
	{ 0x5a6e748d, "crypto_register_skcipher" },
	{ 0x4406d846, "crypto_unregister_skcipher" },
	{ 0x19d76aad, "crypto_enqueue_request" },
	{ 0xca3b0311, "crypto_dequeue_request" },
	{ 0xb7f13cd4, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e3d40dc, "kthread_destroy_worker" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
