#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xc13f653b, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x22b886e6, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x2c8e35dd, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x01eba5d3, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0xe6954efc, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xa0efca18, "");
SYMBOL_CRC(dfl_driver_unregister, 0x1cc2f968, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xb089f9c9, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xc641f491, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x32066573, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x6be1a9d5, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x4608452a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x2f034a53, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x7e4f1cea, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xffa34ca6, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x2dfba350, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x77f9c7a0, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x9e581356, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xe518c269, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xfe6bfb6d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x8f9bf3c2, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xe8cdd09d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xed26d2d8, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xb4c71bd6, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xcfa4a22e, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x9ed202ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x33fff614, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xea2309c0, "module_put" },
	{ 0xa4225b84, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa93ed867, "cdev_init" },
	{ 0xf0498477, "cdev_add" },
	{ 0xb53c57af, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x37bb94e7, "get_device" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x9f1875f2, "put_device" },
	{ 0xf04ac8e5, "devm_kfree" },
	{ 0x1e48b6f4, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8ddf57cc, "__devm_request_region" },
	{ 0xde1b297, "devm_ioremap" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x493f490d, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0xcd122411, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8176caaf, "device_add" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x5fa1c36e, "platform_device_add" },
	{ 0x29860960, "platform_device_del" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcfc64895, "platform_device_put" },
	{ 0x461354c, "device_for_each_child" },
	{ 0x15f7e7c7, "fpga_region_unregister" },
	{ 0xa9c957ae, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1a8eb90a, "devm_ioremap_resource" },
	{ 0x861d11b0, "__fpga_region_register" },
	{ 0xc9f1358f, "devm_iounmap" },
	{ 0x51daf401, "__devm_release_region" },
	{ 0x914823c, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
