#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xc669c014, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x49d16d87, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xe1345250, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x9274be6a, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x14339069, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xd0445279, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x03b6f95f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x199dc630, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x2781c27f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xbc281a63, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x325f20d1, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x837df7e6, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xbea4cd0e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xdd6fa7f1, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xec848edd, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xd70ebdd1, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xa742294a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xe305f6ec, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x9ed9d379, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x6f14c8df, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x6baa0c9f, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xdc0cde82, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xf5470da3, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x1e1b3aa1, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xe9793e49, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xa06d9c8b, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x9b718999, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x774ab574, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x5784b2d1, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x882cb3d3, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x99f7cff1, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x6381425c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x7d03a13d, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x6b7dd0b5, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x6eaeb667, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x2db1ea0c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x0c12f874, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x5bee13fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbebe4cca, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x5feb43, "drm_exec_prepare_array" },
	{ 0x935db61b, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xde9e6787, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9a4fcebf, "drm_exec_prepare_obj" },
	{ 0x7e3fa705, "drm_exec_lock_obj" },
	{ 0x4b79907a, "drm_exec_init" },
	{ 0xa4649199, "drm_exec_cleanup" },
	{ 0xa872c8, "drm_exec_fini" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
