#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0xae2cc468, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x86de0e5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ca12f79, "platform_get_irq" },
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0x26d384cf, "pm_runtime_set_autosuspend_delay" },
	{ 0x1868252e, "pm_runtime_enable" },
	{ 0x90d58ade, "i3c_master_register" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x171a94f4, "i3c_generic_ibi_get_free_slot" },
	{ 0xc347888a, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xf848e311, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xc91843f6, "i3c_master_enec_locked" },
	{ 0xffa88f1e, "i3c_master_get_free_addr" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa4b795af, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbe59ff52, "i3c_master_set_info" },
	{ 0x25409f0c, "pm_runtime_force_suspend" },
	{ 0xc645d113, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x22c79db5, "__pm_runtime_suspend" },
	{ 0x25416a55, "i3c_generic_ibi_recycle_slot" },
	{ 0x3d36641c, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0xcecad1d9, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0x42bae5d2, "i3c_master_do_daa" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8f47b34a, "i3c_master_unregister" },
	{ 0xa674fc80, "__pm_runtime_disable" },
	{ 0x54a7edd9, "__pm_runtime_set_status" },
	{ 0x21b96596, "__pm_runtime_use_autosuspend" },
	{ 0x5f9cbccd, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd4d1666, "pinctrl_pm_select_sleep_state" },
	{ 0x4eef5dff, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcd122411, "devm_platform_ioremap_resource" },
	{ 0x3eb04e5c, "devm_clk_get_enabled" },
	{ 0xf0424ed3, "devm_clk_get_optional_enabled" },
	{ 0x57be79ad, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
