#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x4174b490, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x5578e856, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x2380bd1e, "");
SYMBOL_CRC(mma9551_read_config_word, 0x8ab0ed79, "");
SYMBOL_CRC(mma9551_write_config_word, 0x65152b9b, "");
SYMBOL_CRC(mma9551_read_status_word, 0x80d2b757, "");
SYMBOL_CRC(mma9551_read_config_words, 0xc501f86e, "");
SYMBOL_CRC(mma9551_read_status_words, 0x16bcf11c, "");
SYMBOL_CRC(mma9551_write_config_words, 0x63725c39, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x321b0a95, "");
SYMBOL_CRC(mma9551_gpio_config, 0x95421c33, "");
SYMBOL_CRC(mma9551_read_version, 0x69963d90, "");
SYMBOL_CRC(mma9551_set_device_state, 0xf1d83d27, "");
SYMBOL_CRC(mma9551_set_power_state, 0xa0098826, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0x3b3d3c50, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x3860df3a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd29567d5, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x22c79db5, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
