#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x8dac05f1, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xbe0459a7, "");
SYMBOL_CRC(ib_cm_listen, 0x793233e4, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x50b56681, "");
SYMBOL_CRC(ib_send_cm_req, 0xa211ca10, "");
SYMBOL_CRC(ib_send_cm_rep, 0xb6d2e7d6, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xcc0114d4, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x379df920, "");
SYMBOL_CRC(ib_send_cm_drep, 0x6d3096e2, "");
SYMBOL_CRC(ib_send_cm_rej, 0xcaa484af, "");
SYMBOL_CRC(ib_send_cm_mra, 0x6a9a3de6, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc47d32d0, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x498a7071, "");
SYMBOL_CRC(ib_cm_notify, 0x51f7310f, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x027ab97e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0xbb8f883a, "rdma_create_ah" },
	{ 0xe72b18ec, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x92a070b6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x74625f3f, "ib_register_client" },
	{ 0x287ff0b9, "ib_unregister_mad_agent" },
	{ 0x87609c35, "ib_post_send_mad" },
	{ 0xbf7ae6da, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xd1bf10c, "rdma_destroy_ah_attr" },
	{ 0x4aead662, "ib_set_client_data" },
	{ 0xff58a55c, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1669b862, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb4611c5f, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4cd56ae7, "rdma_destroy_ah_user" },
	{ 0xf54c3176, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x661d9dec, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0x21a35676, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x2f97b478, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb7c7a45f, "ib_free_recv_mad" },
	{ 0x9800386a, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x488e1de2, "ib_modify_mad" },
	{ 0x272f4a96, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xc69d9d0c, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4d016ed, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa8353b9, "rdma_query_gid" },
	{ 0x90d29b2e, "ib_port_register_client_groups" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x1e87eb71, "ib_modify_port" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "83999B628C85F576050F5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
