#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xb798ab05, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x7270f112, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x91515c80, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xb6b447f0, "");
SYMBOL_CRC(mpt_halt_firmware, 0xdfb2c021, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x2015b20a, "");
SYMBOL_CRC(mpt_attach, 0x524a9d40, "");
SYMBOL_CRC(mpt_detach, 0x1e864397, "");
SYMBOL_CRC(mpt_resume, 0xd6e145c8, "");
SYMBOL_CRC(mpt_suspend, 0xfd6007f0, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x837a0cd8, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xfc24c905, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xe0d807a7, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x97923410, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x72d541ed, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x418953ad, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xba742803, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x9ed6f253, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x1f5f2d1e, "");
SYMBOL_CRC(mpt_verify_adapter, 0x4ed5b5bc, "");
SYMBOL_CRC(mpt_GetIocState, 0x58a20bb0, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x2b42c17f, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xe51fa3c8, "");
SYMBOL_CRC(mpt_config, 0x80a45319, "");
SYMBOL_CRC(mpt_findImVolumes, 0x0ef6f55f, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xe4eca2e3, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xb6e03de2, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xad98de7a, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xea5edcf0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xfc630554, "pci_stop_and_remove_bus_device_locked" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x81dfcae4, "pci_select_bars" },
	{ 0x634264f4, "pci_enable_device_mem" },
	{ 0xeda98902, "pci_request_selected_regions" },
	{ 0x89ff306f, "dma_get_required_mask" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x71008f25, "pci_release_selected_regions" },
	{ 0xd752fbda, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6238947, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa1d31608, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9f3a1906, "pci_disable_msi" },
	{ 0xa366c3dc, "pci_save_state" },
	{ 0x740c2d7f, "pci_set_power_state" },
	{ 0x10c1a021, "proc_mkdir" },
	{ 0x2d2431ac, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb1dd9d65, "pci_read_config_word" },
	{ 0x2b864834, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xf767bea6, "pci_enable_device" },
	{ 0x233f2d83, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x11aaacb5, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2ed5f2d2, "pci_read_config_byte" },
	{ 0xa7401a20, "pci_write_config_byte" },
	{ 0x198453a3, "pci_get_slot" },
	{ 0x6b36248d, "pci_dev_put" },
	{ 0x87af94fd, "pci_enable_wake" },
	{ 0xf69074a4, "pci_restore_state" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0x421c5780, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
