#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x535dffa8, "_gpl");
SYMBOL_CRC(pds_client_register, 0x9ccf0b6f, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xc6223a84, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x53bd1898, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x4327afc3, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4de734a7, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xf51238b8, "devl_lock" },
	{ 0x6b36248d, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb801426, "debugfs_create_u16" },
	{ 0x99ed18c4, "__pci_register_driver" },
	{ 0xb7ad104e, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x2ee1a281, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1e65060, "devlink_alloc_ns" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x975c30eb, "pci_reset_function_locked" },
	{ 0x87bc99f7, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6e4e2f36, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xc2cec0e6, "pci_unregister_driver" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5774e3, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf477d6cf, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5f68c0e, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x9f1875f2, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0xc8fc2e43, "debugfs_create_regset32" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x609c5c4b, "devl_health_reporter_create" },
	{ 0xff8b170b, "pci_iov_vf_id" },
	{ 0x952c5d17, "debugfs_lookup" },
	{ 0xba0ee004, "pci_iomap_range" },
	{ 0x9dc8237c, "devlink_flash_update_timeout_notify" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x4b667f9f, "init_net" },
	{ 0x40391e9b, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2b1de895, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc279df64, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x83bdbaf2, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7ced1fc, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe69c5c4f, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x11aaacb5, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0x20d581fb, "devl_params_unregister" },
	{ 0xdd0ae279, "pci_reset_function" },
	{ 0xeb72dd9c, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0xa719d826, "seq_read" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2fb6361c, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xce33db1d, "pci_release_regions" },
	{ 0x62702afc, "pcie_print_link_status" },
	{ 0xe33f996b, "pci_dev_get" },
	{ 0x554475ca, "seq_write" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x6610347a, "devlink_priv" },
	{ 0xfac0c593, "pci_disable_sriov" },
	{ 0xd752fbda, "pci_disable_device" },
	{ 0xfc79eb12, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x665bbd8, "single_open" },
	{ 0x16373b59, "devl_register" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x182b2e19, "pci_free_irq_vectors" },
	{ 0x6cba355c, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xebe9e667, "pci_iov_get_pf_drvdata" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc40575d5, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xf767bea6, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcf8a2bc, "auxiliary_device_init" },
	{ 0x2368aa4f, "pci_iomap" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F6183286590E852DAD672AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
