#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x35b180ce, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x4cffe3e9, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x43d90248, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xc250f8a5, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xf303db87, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x62d47382, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x8d1d2638, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x5905beaa, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xb67f2f0f, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x8d9e0f4d, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x0682ea78, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x7b947ae7, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x4baf1782, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x5249b27f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x1dcde7bb, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xa39262e5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xc2b23063, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x7e8a88c0, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x285ae607, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x5aad7519, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xde682d63, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xeda3ff76, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x356e30d5, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x2c387d87, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x2cf52da9, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x7b2f8af0, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x844a7849, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x126e09ea, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x35dd74e5, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xfa92b9aa, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xca409fdd, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xe44497e1, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x45cdb1e7, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xc86ad41d, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xbb422c53, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x738da41f, "");
SYMBOL_CRC(mlx4_test_async, 0x73923725, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x10a9f386, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x80ff9f73, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x1ad46bea, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x6a399599, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x991220c7, "");
SYMBOL_CRC(mlx4_assign_eq, 0x79cdd318, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x85887950, "");
SYMBOL_CRC(mlx4_release_eq, 0x852ac39e, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x582abc50, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x10b6a06c, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x1d599b75, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xa1844497, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xae315285, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x9745ed98, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xb7d7f41d, "");
SYMBOL_CRC(mlx4_wol_read, 0x2c7964a3, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x346af635, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x3d7e5caa, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x3f2e7e23, "");
SYMBOL_CRC(set_phv_bit, 0xd6556e27, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x95904fbd, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xd6f29816, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x653042b6, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x31bf7637, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x7e0c715f, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x31c04592, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x7c30cd23, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xe247cbda, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x76fb7e4f, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x278a7dcc, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x89b87bcf, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xa6ba18cf, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xf312234b, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x843b5d12, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x48eb9b13, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xa5b10b51, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xa74a3dac, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x3b49902e, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x08de54d0, "");
SYMBOL_CRC(mlx4_read_clock, 0xe67889fb, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x37727de7, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x164d85d1, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xe3909e64, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xe529622d, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xb62a3fbf, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xe6ade70f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xd1c8ac4d, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xab10d9ab, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x20fe7aa9, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x8eda7cd4, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xf34bd955, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x80148573, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xcc2f89a7, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xfe5955e0, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xf3cb5fcc, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x391ca8a1, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x3e49ae45, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xd98a1131, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x45c62caa, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x7e9179b0, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xf7dbcb31, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xa0d98980, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xbf0b0660, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x1c127aa2, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x997b3e12, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xb74414d8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x7c8caeb2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x2d077292, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x3c3715c0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x7c76bf43, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xde9df768, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x66d8d662, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x7ffea3d7, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x6323861a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xbee25e13, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x54889813, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x59719f79, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xa5994752, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x81f325d9, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xd07f72b9, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xf3d7b0aa, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x4004ce7c, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xa534fe93, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x073495a9, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xe911bc96, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xd22b3862, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x087fbad1, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x533596e7, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x7dba76a6, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x69b806ec, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xfc281dfe, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x453c1090, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x630b4028, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x4db19dec, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x01b6ee32, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x111bb4f0, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x1e669291, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xaeb4b42d, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x8eb36a3c, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xf9858575, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xdffc52a4, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x07b27c67, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x46847323, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xbcc021b0, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xedbd1e8c, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x2d423019, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x0e3578f8, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x275cde00, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x1c791e0e, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xa47aa53c, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x5d3d1909, "");
SYMBOL_CRC(mlx4_get_module_info, 0xc6596baf, "");
SYMBOL_CRC(mlx4_max_tc, 0x22349da8, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xcd10c05e, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xc930fe52, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xee033b11, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x49250dc5, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xa358c4ac, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xcc35a19b, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x54eaec1a, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xacd99fca, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xa0216e4b, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x75042bb4, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xac526fd2, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x575dc631, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x7e0380fc, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x6b6739f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87bc99f7, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6be8baac, "param_ops_byte" },
	{ 0x37bb94e7, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc2cec0e6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x7c729fb7, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2042cbfa, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x80961e2a, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x348b6f33, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf477d6cf, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9f1875f2, "put_device" },
	{ 0x63256807, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xb29f1d19, "__free_pages" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xfba29003, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x4afd9448, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x4b667f9f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x2b1de895, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xfbfedf8b, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb65d8207, "dma_alloc_attrs" },
	{ 0xb1dd9d65, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc279df64, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf69074a4, "pci_restore_state" },
	{ 0xe69c5c4f, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x499f18d6, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xa993e136, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x11aaacb5, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x20d581fb, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xeb72dd9c, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc5f330f2, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0xce33db1d, "pci_release_regions" },
	{ 0xb520469a, "__dma_sync_single_for_device" },
	{ 0x274bcac9, "devl_assert_locked" },
	{ 0x62702afc, "pcie_print_link_status" },
	{ 0xe5ef535f, "devl_port_unregister" },
	{ 0xc1d94b89, "devl_param_driverinit_value_get" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6610347a, "devlink_priv" },
	{ 0xfac0c593, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8b8b229c, "pci_disable_msix" },
	{ 0x63eb6461, "alloc_pages_noprof" },
	{ 0xd752fbda, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x191966fc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96642e3b, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x6cba355c, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x85d31f15, "pci_write_config_dword" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x8706f8ea, "device_remove_file" },
	{ 0x202b3b08, "dma_map_sg_attrs" },
	{ 0x280fe5a7, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa366c3dc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b78bb9f, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0b6663c, "devl_region_create" },
	{ 0x3d8e46ff, "devlink_unregister" },
	{ 0xefda0b4f, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf767bea6, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcf8a2bc, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfb5b10de, "devlink_region_snapshot_id_get" },
	{ 0xf51238b8, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x99ed18c4, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xd2e7dc04, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x195d99f6, "param_array_ops" },
	{ 0x2ee1a281, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1e65060, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf54f7d7b, "pci_sriov_get_totalvfs" },
	{ 0xefa7761f, "devlink_register" },
	{ 0x48ada124, "devlink_port_type_clear" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
