#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x8bea595b, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xda0ef5e8, "");
SYMBOL_CRC(team_options_register, 0xf1c52e98, "");
SYMBOL_CRC(team_options_unregister, 0x461ee772, "");
SYMBOL_CRC(team_option_inst_set_change, 0xc6f8c507, "");
SYMBOL_CRC(team_options_change_check, 0x53a46ad1, "");
SYMBOL_CRC(team_mode_register, 0x12bb4a84, "");
SYMBOL_CRC(team_mode_unregister, 0x0bc017c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x861aecb5, "netdev_has_upper_dev" },
	{ 0xf06f89aa, "netdev_change_features" },
	{ 0x3744cded, "netdev_lower_state_changed" },
	{ 0x614153e8, "netdev_master_upper_dev_link" },
	{ 0x68e046ec, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x837af58c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc34dac35, "pv_ops" },
	{ 0xa17600c7, "vlan_vids_del_by_dev" },
	{ 0x38b81d4d, "__netpoll_setup" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1ea66d1, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4041056c, "call_netdevice_notifiers" },
	{ 0xf36826c3, "vlan_vid_del" },
	{ 0xa33a4692, "dev_set_allmulti" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x683f008d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0x1d333c50, "netif_carrier_on" },
	{ 0xcb3c6c6b, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfb90cc0f, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc90931f, "genl_unregister_family" },
	{ 0x6260bf22, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2a66f372, "dev_mc_unsync" },
	{ 0x15e0ec9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xf6d83c8a, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf93c5b15, "dev_mc_sync_multiple" },
	{ 0x38a624bc, "register_netdevice" },
	{ 0xb70d8671, "dev_set_mtu" },
	{ 0x33fff614, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd51eed9a, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0x56342804, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x35c3d24, "netpoll_send_skb" },
	{ 0x76fd68d2, "rtnl_link_register" },
	{ 0x99d8ac2b, "genlmsg_put" },
	{ 0x88d6f4da, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x96a0000c, "dev_set_promiscuity" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x784383ff, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x76ba640c, "dev_uc_unsync" },
	{ 0x5aada4d, "ether_setup" },
	{ 0x903974f6, "netlink_broadcast_filtered" },
	{ 0x948ab311, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10e5e2de, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4788965e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea2309c0, "module_put" },
	{ 0x8cb64f8b, "dev_uc_flush" },
	{ 0xa83dcb5f, "dev_open" },
	{ 0x702f52bf, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf3933870, "dev_mc_flush" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5384864a, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3d3baecf, "dev_get_by_index" },
	{ 0xfaf6cd5a, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa2a1baa5, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x44fbd14e, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7605e24d, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9f7ef7ce, "dev_set_mac_address" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EAB7001A3F279E2BD0D13C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
