#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x6e1c32c8, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xa7b1f3cf, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x4fddb62d, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xd4cc7562, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x6799fea5, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0xbce5f9fc, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x55155651, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xa897066a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x4500e46d, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x5f78bd0b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xe092d821, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x5e1439f4, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xb15325d0, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xc05d1752, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xfa4067f6, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xb4b05518, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xbe10cadf, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xba2e2ee6, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x8f996ab1, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xb7b0e014, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x68a227fa, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xb4d9ad58, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xdc35ddb7, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xd729ac7b, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x756eadcc, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xcbb499d7, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x794452d1, "_gpl");
SYMBOL_CRC(mt76_rx, 0x521741ac, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x15286b36, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x82e8c425, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x7d0e1b8f, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0xfb2e33ef, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x825464fe, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xe21f6204, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x0a56c7cc, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x98ca6573, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xa364a617, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xc983ef92, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xbc2ade86, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xc3b28435, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x26844db3, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xda77da89, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xdb246895, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x886534bf, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x03323f7c, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xbb323cf9, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xeecb7a3d, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x4999ceef, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x3be4c831, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xb42ac17a, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x9b33790f, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xf184b3bd, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x5140c3a5, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xbaced444, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x27d8ee7d, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x03f4b44c, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x98d25d50, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xf20bb92c, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x526a8422, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xf5f6ca77, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x01f510c9, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x332c6835, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xff4ad9ac, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x74a8fe91, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xe9cf7c29, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x2ff7a068, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x77d56d32, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x7a569c8f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x38a717d8, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x699c407b, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x3a048183, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xff5c0dce, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x3d9c343a, "_gpl");
SYMBOL_CRC(mt76_tx, 0xc0e3e2b1, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xb745fc4d, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xad66b32b, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xac517fe0, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x88fddde7, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x5ee84eb7, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x7f7f130d, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xa7dc27b6, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x9d9fb29d, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x8cc8fd85, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x276ae029, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xdc324e47, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xf3c55c71, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x1bb32e63, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x0bb94952, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x6fe5383e, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x0cbb40ab, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x62f14d21, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xacc0f704, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x75c18aae, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x30d43a2b, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xdb7dcc90, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0xbe28ab86, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xe39520a4, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xfff4d925, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x9a994052, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84a77565, "ieee80211_tx_status_ext" },
	{ 0x483241c5, "debugfs_create_blob" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x92c7f261, "page_pool_destroy" },
	{ 0xfded6e6f, "ieee80211_register_hw" },
	{ 0xffc0f036, "led_classdev_unregister" },
	{ 0xae53a67c, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0x54d850de, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda38e48b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2b1b3ea0, "kthread_park" },
	{ 0x37081376, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62d268d6, "dma_map_page_attrs" },
	{ 0x61ab7783, "napi_complete_done" },
	{ 0xf157acde, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xa53c5bd9, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc7fd2b, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x88cdaff7, "pci_disable_link_state" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xd348f1c0, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x4384b147, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x74fc4176, "kthread_unpark" },
	{ 0xeb443c5f, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1e52e863, "debugfs_attr_read" },
	{ 0x4afd9448, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b137e86, "ieee80211_queue_delayed_work" },
	{ 0x1e48b6f4, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x667e8bd2, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x68733fae, "simple_attr_release" },
	{ 0x45e1e40f, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9dce0699, "ieee80211_find_sta_by_ifaddr" },
	{ 0x6dd09453, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x41982b2a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x6b6c9112, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0xb80c64da, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x344e382b, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0x8a639645, "ieee80211_free_txskb" },
	{ 0x6d1980de, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeea76ac0, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x775d0d65, "ieee80211_tx_dequeue" },
	{ 0x37e9c800, "ieee80211_rx_list" },
	{ 0xa0241022, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf5437829, "alloc_netdev_dummy" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0xac64225d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb520469a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x337fac01, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdfbb8f2b, "napi_build_skb" },
	{ 0x554475ca, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7460cdf4, "skb_add_rx_frag_netmem" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9e1a7f5b, "debugfs_create_u8" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x69e1d306, "pcie_capability_read_word" },
	{ 0x4b8bb7af, "__skb_pad" },
	{ 0xc10b5288, "page_pool_get_stats" },
	{ 0xa88f3773, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ab83e73, "__ieee80211_schedule_txq" },
	{ 0x3024f072, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd0160c21, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6e9ee1d3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcc1421e, "dmam_alloc_attrs" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x953c2a31, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90c79830, "ieee80211_free_hw" },
	{ 0x55e657bd, "dma_unmap_page_attrs" },
	{ 0xb9d8b619, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8841D118355833C763B50C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
