#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x0557dab3, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x254d4b36, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xe77a5cbe, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x220cf84e, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x09f4489a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x4952c784, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x92eac3d6, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x96076489, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x4b253fa7, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x90400403, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xc3b015b1, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x07b0339c, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xed2a2e29, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xfca59352, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x143ad4bc, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x52a6cc0f, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x0f1e7779, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xef6dbfe8, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x71e02dac, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x405d756d, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x33a2d4eb, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x56251769, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x76ac3054, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x07b289d2, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x73c86da5, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x5576f67b, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x7d38818a, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x869aabf6, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x75c7a7d3, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xbe41d1a7, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x576df1d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe21f6204, "mt76_wcid_key_setup" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xd34206ed, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x521741ac, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2da24d6, "mt76_connac_mcu_sched_scan_req" },
	{ 0x483408f, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xbdb3ddf4, "mt76_connac_mcu_uni_add_bss" },
	{ 0x27d8ee7d, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa3753971, "wiphy_to_ieee80211_hw" },
	{ 0x1e52e863, "debugfs_attr_read" },
	{ 0x3fd8f124, "mt76_connac_mcu_hw_scan" },
	{ 0x38a717d8, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b137e86, "ieee80211_queue_delayed_work" },
	{ 0xe9cf7c29, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x8e2e9c9e, "simple_open" },
	{ 0xce536027, "skb_pull" },
	{ 0x667e8bd2, "debugfs_create_file_unsafe" },
	{ 0x30d43a2b, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x68733fae, "simple_attr_release" },
	{ 0x82e8c425, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b64098, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0x6fa18ea0, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xa82a976b, "ieee80211_wake_queues" },
	{ 0x75c18aae, "mt76_mcu_send_and_get_msg" },
	{ 0xaab30554, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1f510c9, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x22f68f96, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcbb40ab, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9c9fab38, "mt76_connac_pm_dequeue_skbs" },
	{ 0xa229ad5d, "mt76_connac_mcu_set_pm" },
	{ 0x825464fe, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x7268b6a3, "devm_hwmon_device_register_with_groups" },
	{ 0xa1e19a57, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdb7dcc90, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0x717899c1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xaef9788c, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa897066a, "__SCK__tp_func_mac_txdone" },
	{ 0xa364a617, "mt76_sta_state" },
	{ 0x6f3a9ccf, "ieee80211_ready_on_channel" },
	{ 0xcfb89798, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd371e402, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x3d0a4f6c, "mt76_connac_mcu_init_download" },
	{ 0x6350f322, "devm_kasprintf" },
	{ 0xa719d826, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27067b97, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x7c5d520c, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x74a8fe91, "mt76_get_rate_power_limits" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x7f450287, "ieee80211_sched_scan_results" },
	{ 0x401ac56f, "ieee80211_scan_completed" },
	{ 0xac64225d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xeecb7a3d, "mt76_insert_ccmp_hdr" },
	{ 0xcf1dd280, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb42ac17a, "mt76_sw_scan_complete" },
	{ 0xbb94952, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x554475ca, "seq_write" },
	{ 0x89063312, "mt76_connac_mcu_start_firmware" },
	{ 0xd4cc7562, "____mt76_poll_msec" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xa06a32ae, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9169fdc, "mt76_connac_mcu_rdd_cmd" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe9b390c0, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdb246895, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb4d9ad58, "mt76_unregister_phy" },
	{ 0x68a227fa, "mt76_register_phy" },
	{ 0x2983e20e, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xb15325d0, "mt76_put_txwi" },
	{ 0xc3b28435, "mt76_wcid_cleanup" },
	{ 0x95bdd783, "ieee80211_radar_detected" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x8ad493c7, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xfc79eb12, "single_release" },
	{ 0x3be4c831, "mt76_sw_scan" },
	{ 0x3f4b44c, "mt76_queues_read" },
	{ 0x400da6dc, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xc983ef92, "mt76_sta_pre_rcu_remove" },
	{ 0xf20bb92c, "mt76_register_debugfs_fops" },
	{ 0x3a23b98a, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x503a7d55, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x480e20e4, "mt76_connac_mcu_sta_ba" },
	{ 0x8d23d29, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x17663dc9, "ieee80211_queue_work" },
	{ 0x697420e4, "napi_schedule_prep" },
	{ 0x470151a8, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x14f1feb4, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x4fddb62d, "__mt76_poll" },
	{ 0x6fe5383e, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9e1a7f5b, "debugfs_create_u8" },
	{ 0x665bbd8, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x588a0796, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x61ed316a, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6799fea5, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2ce51063, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb7c80d4a, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x3286b3b1, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xfb2e33ef, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x3fc93f40, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xc60892e, "mt76_connac_mcu_sta_tlv" },
	{ 0x5735c53c, "device_set_wakeup_enable" },
	{ 0x88fddde7, "mt76_tx_worker_run" },
	{ 0xda77da89, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7a569c8f, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa88f3773, "simple_attr_open" },
	{ 0x79371855, "ieee80211_iterate_interfaces" },
	{ 0x3024f072, "debugfs_attr_write" },
	{ 0xc39d581a, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x7fbf17ea, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbe3a6320, "firmware_request_nowarn" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a048183, "mt76_tx_status_skb_get" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x77d56d32, "mt76_tx_status_lock" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0xd59e2df5, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xdb801426, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90c79830, "ieee80211_free_hw" },
	{ 0xf84a3938, "mt76_connac_mcu_set_channel_domain" },
	{ 0x96a29f91, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb745fc4d, "mt76_release_buffered_frames" },
	{ 0x41db61bf, "request_firmware" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x26844db3, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbce5f9fc, "__tracepoint_mac_txdone" },
	{ 0x917e7ace, "mt76_connac_pm_wake" },
	{ 0x4999ceef, "mt76_get_rate" },
	{ 0x7f7f130d, "mt76_wake_tx_queue" },
	{ 0x84a77565, "ieee80211_tx_status_ext" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd25d4fb3, "mt76_connac_mcu_chip_config" },
	{ 0x9b33790f, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xea648171, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x3d9c343a, "__mt76_tx_complete_skb" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x8f996ab1, "mt76_set_stream_caps" },
	{ 0xe6c92865, "ieee80211_emulate_change_chanctx" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x54d850de, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x511c1cdc, "mt76_connac_mcu_update_arp_filter" },
	{ 0x59fec8e6, "mt76_connac_mcu_set_vif_ps" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xacc0f704, "mt76_mcu_rx_event" },
	{ 0xb7b0e014, "mt76_alloc_phy" },
	{ 0x9e3a768b, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc2ade86, "mt76_wcid_init" },
	{ 0xff5c0dce, "mt76_tx_status_check" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0xce32c6cb, "mt76_connac_free_pending_tx_skbs" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0xf360bb8a, "mt76_connac_power_save_sched" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa53c5bd9, "cfg80211_reg_check_beaconing" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x2830e54c, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x7420ee8e, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc7fd2b, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc0e3e2b1, "mt76_tx" },
	{ 0xa4588a98, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0xf66a421b, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A6FDF72437486A80FA758D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
