#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xa4f18d26, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xf2017e3d, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x506372f4, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x3d0929a0, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x23d48e78, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x88805ecb, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x2c33d084, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x2522474c, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x4e62eaf4, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x4c7469e0, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x91d67ceb, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x5803b33e, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xf20efad5, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x8ac5158e, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xa8aa7af1, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xbd3634fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa613f438, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b6a36fe, "usb_anchor_urb" },
	{ 0x1c081240, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x69525a4e, "usb_unanchor_urb" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x1b38ea42, "usb_alloc_urb" },
	{ 0xc3b9957, "usb_free_urb" },
	{ 0xd271770e, "rt2x00lib_dmastart" },
	{ 0x95261af5, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4b8bb7af, "__skb_pad" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdabf2ef, "rt2x00queue_for_each_entry" },
	{ 0xa877c5ba, "usb_kill_urb" },
	{ 0xe9c279fe, "rt2x00queue_get_entry" },
	{ 0xcd2b6858, "rt2x00queue_stop_queue" },
	{ 0xd273d8d7, "rt2x00queue_flush_queue" },
	{ 0x85ee6e4b, "rt2x00queue_start_queue" },
	{ 0x6a9485ee, "rt2x00lib_txdone_noinfo" },
	{ 0x7a847aee, "rt2x00lib_rxdone" },
	{ 0xbc0cf688, "rt2x00lib_suspend" },
	{ 0x89b6067d, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5c13d021, "rt2x00lib_remove_dev" },
	{ 0x90c79830, "ieee80211_free_hw" },
	{ 0xca9129cb, "usb_put_dev" },
	{ 0x78ecb4d5, "usb_get_dev" },
	{ 0xc7fc25da, "usb_reset_device" },
	{ 0xeea76ac0, "ieee80211_alloc_hw_nm" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3584b36e, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
