#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0xf942709b, "");
SYMBOL_CRC(pcmcia_get_socket, 0xb3746928, "");
SYMBOL_CRC(pcmcia_put_socket, 0xb15e0994, "");
SYMBOL_CRC(pcmcia_register_socket, 0x66eae368, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0x842583f7, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0x8022f91f, "");
SYMBOL_CRC(pcmcia_parse_events, 0x18a70387, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0x42c76432, "");
SYMBOL_CRC(pccard_register_pcmcia, 0xb76092d3, "");
SYMBOL_CRC(pcmcia_reset_card, 0x28a072ec, "");
SYMBOL_CRC(pcmcia_socket_class, 0xb511f5a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39f6f8ac, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f1875f2, "put_device" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdb571d89, "pci_scan_slot" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x1b573a52, "pci_bus_add_devices" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5f98ca07, "class_unregister" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xf6da1e2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3bd10ee0, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3e8c9453, "device_register" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x668b19a1, "down_read" },
	{ 0xee37d17c, "kthread_create_on_node" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0x3718e869, "_dev_notice" },
	{ 0x7e9c44a8, "pci_bus_assign_resources" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xa7401a20, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7abb7a04, "pci_fixup_cardbus" },
	{ 0x67e34286, "pci_stop_and_remove_bus_device" },
	{ 0x511a638d, "pci_set_cacheline_size" },
	{ 0x2ed5f2d2, "pci_read_config_byte" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0x53b954a2, "up_read" },
	{ 0xc2490618, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x21c0576d, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37bb94e7, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1dafd525, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x1000e51, "schedule" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72102893727F91370AFFE49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
