#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xdad32061, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x0e1e6c35, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x83530a5c, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x252fad5a, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xb725ab8e, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xafb9e9c6, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xf59f6be6, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xf57730a8, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xa357d685, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x81c47cb6, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x06d2e566, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x4cfd14d8, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xb902f43d, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x73b23e47, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xde78de32, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x3dcf995e, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xd581d08f, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xe2e13357, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x37218568, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x27d46bc9, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xfb5e1c1d, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x9196b81c, "");
SYMBOL_CRC(fcoe_transport_detach, 0x01b0ad15, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x66f3dae9, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xf8dbcf90, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xc3fb59a4, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xec800823, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0xf22f087b, "fc_lport_set_local_id" },
	{ 0x1bf47766, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd482ed3b, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7605e24d, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3e8c9453, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2116708a, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfbe13b7e, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf6322948, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x44115808, "fc_fcp_init" },
	{ 0x6321330c, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf9bf2ede, "__folio_put" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee8d8903, "dev_get_by_name" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xde0e78be, "fc_seq_els_rsp_send" },
	{ 0x63eb6461, "alloc_pages_noprof" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0x4d57db4, "fc_rport_create" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x61bbfa3c, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x493f490d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ccb1a6c, "fc_linkup" },
	{ 0x8e938c42, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3f3352a, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab59a317, "param_ops_uint" },
	{ 0xa5e4b158, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xa502792b, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6ff71d59, "device_unregister" },
	{ 0x953c2a31, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23a26e2, "fc_rport_logoff" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xda71a33, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1af1dfb, "fc_rport_login" },
	{ 0x5f67727c, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x95572a34, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9f1875f2, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x4384b147, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2b09c3f8, "fc_lport_reset" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0x4b667f9f, "init_net" },
	{ 0xce536027, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "EE7ECF3884882F1769427BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
