#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x6aab5c96, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0xadeb9ff7, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x4b2ed4e3, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x7bd86a37, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xacf49e94, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xbc110945, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x5bd79d53, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xde2c511a, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x99f1948b, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x331cec09, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x2b69052f, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xa77ba523, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x986a8359, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x1f4f2b98, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xcd33d47a, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x9edf1184, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x915b28a9, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x6cfcbf4b, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x49684a93, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xb5e4c11c, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x4a0f450e, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x97609bdf, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xf5c8bd4b, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xb2c70baa, "");
SYMBOL_CRC(ufshcd_system_resume, 0x592959dc, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xc1ecfa98, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xaecee85b, "");
SYMBOL_CRC(ufshcd_remove, 0x0cda7c4d, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xbff2e120, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x557a1907, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x13a47e61, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xa073b2d4, "");
SYMBOL_CRC(ufshcd_init, 0xccc9cb31, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x08ef1763, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xe1eb918a, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x69ba7f24, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xdc78fb22, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x88ecdfa5, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x2e7c0c26, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x791e574a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xdbfaf8b1, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x3347587e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x18050a69, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xcc7b7731, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x558b33f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dabf2a, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeabb5880, "scsi_change_queue_depth" },
	{ 0xe0e20f7f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x8706f8ea, "device_remove_file" },
	{ 0x202b3b08, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x3aeb13b1, "scsi_dma_map" },
	{ 0xa8ad2da0, "scsi_print_sense_hdr" },
	{ 0x71d67ee7, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa2a674c5, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa88f3773, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0x3024f072, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x3d96d7c1, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x5c68f672, "scsi_autopm_put_device" },
	{ 0xda4c9d82, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60fa5708, "bsg_remove_queue" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0x808824fb, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcc1421e, "dmam_alloc_attrs" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0xe9495e2d, "scsi_remove_host" },
	{ 0x4c8db666, "bpf_trace_run6" },
	{ 0x26d384cf, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0xef889bcf, "blk_pm_runtime_init" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0xcc94fc3f, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc41895dd, "sysfs_remove_groups" },
	{ 0x5500d74f, "hwmon_notify_event" },
	{ 0xbc176f44, "pm_runtime_get_if_active" },
	{ 0x158b547, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x787b1498, "devfreq_recommended_opp" },
	{ 0x6bbfc25d, "sysfs_create_groups" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a376662, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0xb33b916, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x37bb94e7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x685bca52, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x414a606, "blk_mq_alloc_tag_set" },
	{ 0x62c113a8, "scsi_device_set_state" },
	{ 0xaf8d2d1e, "devfreq_add_device" },
	{ 0x2386c786, "dev_driver_string" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54a7edd9, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x799c40db, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4cb99f57, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9f1875f2, "put_device" },
	{ 0x7bcd1b56, "blk_mq_unquiesce_tagset" },
	{ 0x6a269424, "dev_pm_opp_put" },
	{ 0xb1224ecd, "blk_mq_free_request" },
	{ 0x361ce4c, "device_property_read_u32_array" },
	{ 0x6cc2347f, "devm_regulator_get" },
	{ 0x6e114cd9, "dev_pm_opp_get_freq_indexed" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3b9e609b, "scsi_device_put" },
	{ 0xfba29003, "device_create_file" },
	{ 0x9995bb2f, "blk_mq_quiesce_tagset" },
	{ 0x1e52e863, "debugfs_attr_read" },
	{ 0x77de08a9, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf04ac8e5, "devm_kfree" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x89590f63, "devfreq_remove_device" },
	{ 0xec4e0e01, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x8176caaf, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x68733fae, "simple_attr_release" },
	{ 0x14cb90a8, "hwmon_device_register_with_info" },
	{ 0x433a011a, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x1f0f813c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdceae932, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x556bc020, "sdev_prefix_printk" },
	{ 0x59345eab, "scsi_scan_host" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x9431ab3, "device_link_remove" },
	{ 0xe9e023cd, "blk_mq_alloc_request" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0xa84cc547, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd9932be9, "blk_put_queue" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x541f0a, "dev_pm_opp_set_opp" },
	{ 0x1cc1a8ac, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5876561f, "regulator_count_voltages" },
	{ 0x7db4dacc, "scsi_is_host_device" },
	{ 0x54ce0768, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x247720b1, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7677622, "bpf_trace_run10" },
	{ 0xc6e20ec8, "scsi_host_busy" },
	{ 0x100bdf90, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4169893, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x51b1d692, "dma_set_coherent_mask" },
	{ 0x9da55e1a, "scsi_print_command" },
	{ 0xa719d826, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x74cc6f9d, "__scsi_register_driver" },
	{ 0x96e8d188, "pm_runtime_forbid" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0xe414d46b, "param_set_uint_minmax" },
	{ 0x8c91efc1, "blk_mq_freeze_queue" },
	{ 0x68d25305, "pm_runtime_allow" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x5cd1c595, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0x8aeade95, "blk_mq_destroy_queue" },
	{ 0x3774b389, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1807f380, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x9e503206, "devm_blk_crypto_profile_init" },
	{ 0xc22ded85, "hwmon_device_unregister" },
	{ 0x8bfd188, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf7cd76b2, "blk_mq_tagset_busy_iter" },
	{ 0x322cc4f5, "scsi_done" },
	{ 0xfc79eb12, "single_release" },
	{ 0x35fc666f, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x411f5f28, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x51b163ba, "regulator_disable" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x96642e3b, "dma_unmap_sg_attrs" },
	{ 0x5cdac255, "__devm_add_action" },
	{ 0x2047f69b, "scsi_remove_device" },
	{ 0x66ab5f96, "scsi_block_requests" },
	{ 0xbb24dd32, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0x3b026e30, "scsi_host_alloc" },
	{ 0x825df0eb, "__scsi_add_device" },
	{ 0x941e5d9d, "devfreq_resume_device" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "94C9A38CE3177B766527451");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
