#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xc6a613d1, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xe99ec3cf, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x4d8847e3, "");
SYMBOL_CRC(usb_serial_resume, 0xf14551e9, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x81b7e07d, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xb26a3374, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xe523cc51, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x31191e35, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x00e1dd2b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xbecbe917, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xe3822af2, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x0709b7ab, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xd1ec880a, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xbee33b50, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x219ee8d9, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x71b04824, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xa98e13c3, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x6ce49931, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x190f683b, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x5b12a802, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xe7df48df, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xc9002a62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66312d2c, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778d9aac, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xca9129cb, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f1875f2, "put_device" },
	{ 0x78ecb4d5, "usb_get_dev" },
	{ 0xa97f6b30, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1c081240, "usb_submit_urb" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x7628e9b9, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xea2309c0, "module_put" },
	{ 0x505d8afc, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x989576ff, "usb_match_id" },
	{ 0x9f598424, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae741f0d, "bus_unregister" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x8176caaf, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4b86c799, "tty_ldisc_ref" },
	{ 0xfc77051c, "tty_vhangup" },
	{ 0xba8b2923, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45571e8e, "tty_port_destroy" },
	{ 0x68c0b8b7, "tty_port_init" },
	{ 0x3944d07e, "usb_driver_claim_interface" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x839a1dfe, "usb_poison_urb" },
	{ 0x8ee840c9, "usb_unpoison_urb" },
	{ 0x8afbfbde, "driver_unregister" },
	{ 0xce765af5, "tty_port_register_device" },
	{ 0xbd6045e0, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x774f0075, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe69c5c4f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x12570fcf, "tty_port_close" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3ab3bcc, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0c7dc70, "tty_register_driver" },
	{ 0x554475ca, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa877c5ba, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8cf9c9bf, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x9a90295a, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xa4225b84, "driver_register" },
	{ 0x8edc1b4f, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x493f490d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe5ee4a7a, "tty_port_tty_get" },
	{ 0x37906d3, "usb_put_intf" },
	{ 0x1b38ea42, "usb_alloc_urb" },
	{ 0xf51895e5, "usb_autopm_put_interface" },
	{ 0x33fff614, "try_module_get" },
	{ 0xc3b9957, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcc8deff5, "dev_set_name" },
	{ 0xbe95ad45, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xd5527c1e, "tty_flip_buffer_push" },
	{ 0x4f407ea2, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa38ed5ba, "tty_kref_put" },
	{ 0x7cf4af38, "usb_register_driver" },
	{ 0xf0b5552f, "usb_match_one_id" },
	{ 0xf58ba4c6, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x90ee481, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xdd7cccf, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0x24e6233d, "tty_hangup" },
	{ 0x9ddc1b59, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "F825C0AAF43902DB17F11CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
