#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xce241b78, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x34c4c664, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x1bde8235, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x986dc836, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x7ab0bd7a, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x2b59ce01, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x23307f1a, "_gpl");
SYMBOL_CRC(ucsi_create, 0x42307557, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x182a7317, "_gpl");
SYMBOL_CRC(ucsi_register, 0x753f7c06, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x9751cd4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b95c28, "typec_partner_register_altmode" },
	{ 0x53535c43, "typec_partner_set_num_altmodes" },
	{ 0x5b598de6, "typec_unregister_partner" },
	{ 0x168ea91f, "typec_set_pwr_opmode" },
	{ 0xc8dc7617, "typec_cable_set_identity" },
	{ 0x1e52e863, "debugfs_attr_read" },
	{ 0x82556fce, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x11d7fe5f, "typec_altmode_update_active" },
	{ 0xe3a760a3, "device_property_read_u8_array" },
	{ 0x68733fae, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x537de8d9, "usb_power_delivery_register_capabilities" },
	{ 0xa06ce0cd, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc0ab227, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcf581d3, "debugfs_remove" },
	{ 0xfdc9dec, "usb_power_delivery_unregister" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0xdee1f7fe, "typec_set_data_role" },
	{ 0xa9a93510, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc56a0f29, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xad8dec35, "typec_unregister_port" },
	{ 0x4446da29, "power_supply_get_drvdata" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x145eee48, "typec_register_port" },
	{ 0x1b327421, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbcfccd80, "typec_partner_set_usb_power_delivery" },
	{ 0x30adff36, "power_supply_changed" },
	{ 0x83b5983c, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21588fc9, "typec_plug_register_altmode" },
	{ 0x6350f322, "devm_kasprintf" },
	{ 0xc961a08a, "typec_partner_set_svdm_version" },
	{ 0xa719d826, "seq_read" },
	{ 0x5c66bb64, "debugfs_create_file" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe3879b7, "typec_unregister_altmode" },
	{ 0xd2cbac1a, "typec_register_cable" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x21eb8536, "usb_power_delivery_unregister_capabilities" },
	{ 0x8c2ceb07, "typec_get_drvdata" },
	{ 0xd6f55cb8, "typec_partner_set_identity" },
	{ 0x60b16e2a, "power_supply_unregister" },
	{ 0xfc79eb12, "single_release" },
	{ 0xd39bb5f1, "typec_set_pwr_role" },
	{ 0x4b1ca4ca, "typec_partner_usb_power_delivery_register" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x5c7e9b6b, "usb_debug_root" },
	{ 0x30138842, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0x38ba3d32, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d51395, "__dev_fwnode" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x2b8c1928, "typec_partner_set_pd_revision" },
	{ 0xa88f3773, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d0bc502, "typec_register_partner" },
	{ 0xa501332, "typec_port_set_usb_power_delivery" },
	{ 0x3024f072, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x285365bd, "typec_port_register_altmode" },
	{ 0x45a975bc, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x364e71cc, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0xfff1b420, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0xf2ee191b, "typec_set_mode" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xf59074b7, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf666430, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "B0FA7652D460B0982DFEA7D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
