#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0x1807d196, "_gpl");
SYMBOL_CRC(esp_output_tail, 0xb5e8bacb, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xf4e7b9f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7d75cad, "crypto_aead_setauthsize" },
	{ 0x86dca3df, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbd2c9c09, "xfrm_state_lookup" },
	{ 0xd038d036, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x74fa2a8d, "__xfrm_state_destroy" },
	{ 0xa81acebf, "ipv4_update_pmtu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xd482ed3b, "__put_devmap_managed_folio_refs" },
	{ 0xf9bf2ede, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x747b74e2, "sk_free" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0x71a7e3db, "km_new_mapping" },
	{ 0x2fdd5202, "skb_pull_rcsum" },
	{ 0x8b44ded3, "skb_checksum" },
	{ 0x810e1e91, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4490c68, "xfrm_input_resume" },
	{ 0xc43e874a, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4903d17a, "skb_to_sgvec" },
	{ 0x6c85e216, "crypto_aead_decrypt" },
	{ 0xb05290b7, "skb_push" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x2ea5a533, "xfrm_dev_resume" },
	{ 0x1c0910c1, "xfrm_output_resume" },
	{ 0xa12d516d, "__skb_ext_del" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x4da5e09c, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x713f7c3c, "__inet_lookup_established" },
	{ 0x836f77cc, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x46e92e88, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd5e38fb6, "espintcp_queue_out" },
	{ 0x1766bcf8, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x92655ae7, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x731d7e3c, "crypto_aead_encrypt" },
	{ 0x9a2dee42, "xfrm_state_mtu" },
	{ 0xe5233c5d, "xfrm4_rcv" },
	{ 0xfffe472b, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcf8710bd, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x276b230c, "xfrm4_protocol_register" },
	{ 0x2e4bc350, "xfrm_unregister_type" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x7f9b4ec8, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae2c5b71, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "22A025970726C362B8DD4F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
