#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xe056f7f6, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x0e3fdc12, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x3a8a1881, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x3802537b, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xb6efd42d, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x24b90249, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x85bbad76, "skb_mpls_pop" },
	{ 0x53bd8f82, "skb_vlan_pop" },
	{ 0x4a86d9fd, "dst_init" },
	{ 0xea2309c0, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3ab8d455, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x702f52bf, "rtnl_link_unregister" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0x4b667f9f, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x6e45ff15, "ipv6_stub" },
	{ 0xb52cbefd, "skb_mpls_update_lse" },
	{ 0xce536027, "skb_pull" },
	{ 0x9f771ef2, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x866dc85b, "sk_skb_reason_drop" },
	{ 0x5384864a, "netlink_unicast" },
	{ 0x1f0f813c, "bpf_trace_run5" },
	{ 0xc745d37b, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x89b5c086, "kmem_cache_free" },
	{ 0xa2a1baa5, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x65aa4c32, "skb_ensure_writable" },
	{ 0xb80c64da, "free_netdev" },
	{ 0x65f94a45, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb5030ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44fbd14e, "ethtool_op_get_link" },
	{ 0x690f6eec, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xcb760265, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x38baaf9d, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0x3bd48dd5, "nf_ct_delete" },
	{ 0x34f9616e, "nf_conncount_init" },
	{ 0x26b0f2f5, "skb_vlan_push" },
	{ 0x99ae7167, "netif_rx" },
	{ 0x6321330c, "__netdev_alloc_skb" },
	{ 0xbebc78df, "__kmem_cache_create_args" },
	{ 0x614153e8, "netdev_master_upper_dev_link" },
	{ 0x3526c56e, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x911cd514, "inet_proto_csum_replace16" },
	{ 0x2ce35418, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73161802, "skb_scrub_packet" },
	{ 0x92a0ee3d, "nf_ct_deliver_cached_events" },
	{ 0x9014f98c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7c0fa0d7, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2484823b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0xb3f17e4a, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6ab6b0e, "inet_proto_csum_replace4" },
	{ 0x8ec8ad91, "nf_conncount_destroy" },
	{ 0x3ecd3469, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0x1f44ccdf, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee8d8903, "dev_get_by_name" },
	{ 0x179dc9e6, "skb_clone" },
	{ 0xe1a58792, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7204c57c, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96900669, "peernet2id_alloc" },
	{ 0x966471c4, "nf_ct_get_tuplepr" },
	{ 0xfb90cc0f, "netdev_rx_handler_register" },
	{ 0x2ae49e68, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcc90931f, "genl_unregister_family" },
	{ 0x6260bf22, "dev_disable_lro" },
	{ 0xa363212, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc8ac2603, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15e0ec9, "genl_register_family" },
	{ 0xdc4ff645, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29e244d9, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1da28b6b, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xdeb73e37, "skb_mpls_push" },
	{ 0x825f61c7, "register_pernet_device" },
	{ 0xb9f40b88, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5c974c2b, "kmem_cache_destroy" },
	{ 0x31be2cea, "__skb_vlan_pop" },
	{ 0x36c3f82f, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38a624bc, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc50d0128, "nf_ct_ext_add" },
	{ 0x9aa91c97, "nsh_pop" },
	{ 0x701a6276, "nf_conntrack_find_get" },
	{ 0xbfee145d, "nf_ct_set_timeout" },
	{ 0x3f3352a, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0x33fff614, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b51d39f, "dev_fill_metadata_dst" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0xbe07fc5, "nf_ct_handle_fragments" },
	{ 0xe9b8a5b8, "eth_mac_addr" },
	{ 0xa5e4b158, "skb_put" },
	{ 0xb90a5254, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2ead19f5, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa34ee03b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x43123bc6, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe23b1bfc, "skb_eth_pop" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x5ee90975, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x23f58986, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x2664d29d, "nf_ct_helper" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0xa12d516d, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0xadf90ff1, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x76fd68d2, "rtnl_link_register" },
	{ 0xb612b167, "nf_connlabels_put" },
	{ 0x99d8ac2b, "genlmsg_put" },
	{ 0x810e1e91, "___pskb_trim" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3a5f2ee7, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x96a0000c, "dev_set_promiscuity" },
	{ 0xce1f618c, "nf_ct_destroy_timeout" },
	{ 0x2fea2321, "nf_ct_add_helper" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x8f321ac4, "nf_conntrack_helper_put" },
	{ 0x3aa02f3a, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x57ba88c8, "nf_ct_skb_network_trim" },
	{ 0xcacb0177, "unregister_netdevice_queue" },
	{ 0x2fdd5202, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x5aada4d, "ether_setup" },
	{ 0x903974f6, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a51d85c, "pskb_expand_head" },
	{ 0x15d9eadc, "skb_csum_hwoffload_help" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0xcfd51e4b, "dev_addr_mod" },
	{ 0x91cc1946, "nf_connlabels_replace" },
	{ 0x10c63088, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34322801, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa3e15461, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x4788965e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x98e32762, "skb_eth_push" },
	{ 0xdb8888e7, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x20c05670, "__alloc_skb" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "38A14966847630F619463CA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
