#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x48a07838, "tcf_unregister_action" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ce35418, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x7d53fc40, "flow_offload_lookup" },
	{ 0x4b667f9f, "init_net" },
	{ 0xc5bbb2ba, "flow_offload_refresh" },
	{ 0x39359915, "nf_ct_acct_add" },
	{ 0x1b02e256, "__pskb_pull_tail" },
	{ 0xdfa2502b, "flow_offload_teardown" },
	{ 0xc34dac35, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x8f321ac4, "nf_conntrack_helper_put" },
	{ 0xb612b167, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xcb760265, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x73317ef3, "tcf_idr_check_alloc" },
	{ 0x35339040, "tcf_action_check_ctrlact" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xed8ad7cd, "nf_flow_table_init" },
	{ 0x44afc1e1, "__module_get" },
	{ 0x758a453f, "tcf_chain_put_by_act" },
	{ 0x8434fc80, "tcf_idr_release" },
	{ 0x1d28b6b4, "tcf_idr_create_from_flags" },
	{ 0x388294e, "tcf_idr_cleanup" },
	{ 0xa3e15461, "nf_connlabels_get" },
	{ 0x36c3f82f, "nf_ct_tmpl_alloc" },
	{ 0x2fea2321, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x345d4173, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2fdd5202, "skb_pull_rcsum" },
	{ 0x9014f98c, "ipv6_find_hdr" },
	{ 0xbe07fc5, "nf_ct_handle_fragments" },
	{ 0x57ba88c8, "nf_ct_skb_network_trim" },
	{ 0xb9f40b88, "nf_conntrack_in" },
	{ 0x94e0c14f, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb05290b7, "skb_push" },
	{ 0x92a0ee3d, "nf_ct_deliver_cached_events" },
	{ 0x43123bc6, "nf_ct_nat" },
	{ 0x2664d29d, "nf_ct_helper" },
	{ 0xae2b1e2b, "flow_offload_alloc" },
	{ 0xf1737f48, "flow_offload_add" },
	{ 0x1318fc88, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x23f58986, "__nf_ct_try_assign_helper" },
	{ 0x91cc1946, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3bd48dd5, "nf_ct_delete" },
	{ 0xc50d0128, "nf_ct_ext_add" },
	{ 0x690f6eec, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x962e063e, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b7766b6, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf5cc620, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xea2309c0, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8d304f20, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x2b923c4d, "tcf_register_action" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "306D0FF4094D85307E5DE29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
