#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x495b3f71, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x3a7fe5db, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x2364a502, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xd96f367a, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xef399a3a, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xf5ef8fed, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x8dfea4b4, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x52bed29c, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xeef27c2e, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x5f82c674, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x9220210a, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xabb483be, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x0eb1129d, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xbdad461e, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xfcce77ea, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x4a9b7135, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x85f54546, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa28fc9b9, "devm_request_threaded_irq" },
	{ 0x5f69c69d, "cs_amp_get_efi_calibration_data" },
	{ 0xb82dc676, "regmap_raw_read" },
	{ 0xbc8eca32, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x628bfb9e, "gpiod_get_array_optional" },
	{ 0x504b8290, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x361ce4c, "device_property_read_u32_array" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x75adad6, "regmap_multi_reg_write_bypassed" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xcf174479, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab5e9c74, "regmap_read_bypassed" },
	{ 0x2780c5e, "regmap_read" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x312688b4, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd3823910, "_dev_crit" },
	{ 0x250d7047, "regmap_update_bits_base" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0x22c79db5, "__pm_runtime_suspend" },
	{ 0xaf4c3606, "regmap_register_patch" },
	{ 0xe0e20f7f, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbc779a57, "gpiod_get_value_cansleep" },
	{ 0xed934c87, "spi_bus_unlock" },
	{ 0x1e01d4a1, "regcache_cache_only" },
	{ 0x66f46f8d, "regcache_sync" },
	{ 0x26f33c61, "regmap_write" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "A03F0CDDB6749C2C60A4CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
