#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x0338aaa3, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xacabd42c, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xd5d6bd38, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x986478a1, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x98c282c5, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xd2015f26, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xfecaa45b, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xc4428e1d, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xbd5c077f, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x378499da, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xd92529e2, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xbeaa10b2, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xc88293fa, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x66372933, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc82a13dc, "snd_soc_jack_report" },
	{ 0x5eb32154, "gpiod_set_value_cansleep" },
	{ 0x4e7949d5, "snd_pcm_hw_constraint_minmax" },
	{ 0xbd29053a, "regcache_sync_region" },
	{ 0xa5b91bd2, "snd_soc_put_enum_double" },
	{ 0xbc8eca32, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x693c7ff4, "devm_gpiod_get_optional" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc780d867, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae7f241a, "regulator_bulk_disable" },
	{ 0x361ce4c, "device_property_read_u32_array" },
	{ 0x6fc8ea87, "snd_soc_get_enum_double" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0xe1c563b6, "snd_soc_info_volsw" },
	{ 0xe0d494e5, "regcache_drop_region" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa358dbcc, "snd_soc_info_enum_double" },
	{ 0xfa976226, "regulator_bulk_enable" },
	{ 0xd09077c7, "devm_regulator_bulk_get" },
	{ 0x400e3bd5, "snd_soc_get_volsw" },
	{ 0x2780c5e, "regmap_read" },
	{ 0x1a3f3ab3, "snd_soc_put_volsw" },
	{ 0xd471a1d0, "snd_soc_component_update_bits" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x58f935da, "regmap_bulk_read" },
	{ 0x250d7047, "regmap_update_bits_base" },
	{ 0x3aaa942, "dev_err_probe" },
	{ 0xaeaddf53, "regmap_multi_reg_write" },
	{ 0x22c79db5, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xce644288, "device_property_present" },
	{ 0x1e01d4a1, "regcache_cache_only" },
	{ 0x66f46f8d, "regcache_sync" },
	{ 0x26f33c61, "regmap_write" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
