#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x60547e8c, "");
SYMBOL_CRC(cl_dsp_init, 0xf082250e, "");
SYMBOL_CRC(hda_cl_trigger, 0x3292e427, "");
SYMBOL_CRC(hda_cl_cleanup, 0xaaa0faa4, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0xc38a4248, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x7741f74f, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x30d53ecf, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x3fe50b49, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xb0ef1ab1, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x429b5afa, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x6c6677a9, "");
SYMBOL_CRC(hda_dsp_stream_free, 0x5d0f6ec7, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x15f8f5e7, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x426b3011, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x80f02d41, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x324cdacf, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x96348c0b, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x4fce8904, "");
SYMBOL_CRC(hda_get_interface_mask, 0xb6642186, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x33dd66df, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x33b01c38, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x7ee64b3a, "");
SYMBOL_CRC(hda_dsp_core_run, 0xf6d88e45, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0xcf0ea1ef, "");
SYMBOL_CRC(hda_dsp_enable_core, 0xd1137231, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x83358c58, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x0ea803f3, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0xaea7649d, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x9087771d, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x53e45d61, "");
SYMBOL_CRC(hda_dsp_resume, 0x2f2fcf32, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x4cffcdec, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0xa95b6efb, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0xda516a4a, "");
SYMBOL_CRC(hda_dsp_suspend, 0xc1b7586a, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xe26e0375, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x740a4a17, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xc0f3d50c, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x0452b635, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x483a40eb, "");
SYMBOL_CRC(hda_sdw_int_enable, 0xa9a10159, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x9f5ab706, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xe3babc38, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x42040688, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x090a2cc5, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x4b4a51a9, "");
SYMBOL_CRC(hda_dsp_get_state, 0x26d0ee63, "");
SYMBOL_CRC(hda_dsp_dump, 0x710a451b, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x802aa353, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x378027f8, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xdaf2015c, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0xc8b3df05, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0xc2404367, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x15cecbfb, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x592a2d62, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xf0a8178d, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xfb4fa48a, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x1b7454ff, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xedcb7dbb, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xd6dabd6f, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x39a3cbe3, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x663251d8, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x74931b43, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x4e6a648b, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x66430660, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x042f2227, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x44676a0b, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x7f219181, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x49dadb0c, "");
SYMBOL_CRC(hda_ipc_dump, 0x3481c683, "");
SYMBOL_CRC(hda_ipc4_dump, 0x9de7c531, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x45b3151e, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x72afc976, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0xb3705732, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xc6a86482, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x30a02f05, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x69a6cccd, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xcfca78e2, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x04c646d2, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xb161dba1, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0xbba9fb89, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xdbdd8149, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x268f92ed, "");
SYMBOL_CRC(hda_dai_config, 0x3dff0a95, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xb5851ade, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x225a58e5, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x5c42841a, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xee8c8209, "");
SYMBOL_CRC(hda_ops_free, 0x6cf21989, "");
SYMBOL_CRC(skl_dai, 0xb6acb060, "");
SYMBOL_CRC(sof_hda_bus_init, 0xd0d6d91e, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x9be3258a, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x23a46ee7, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0xfa9291ea, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x48f365f8, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x7794eeb7, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x040a7a02, "");
SYMBOL_CRC(hda_probes_unregister, 0xc8b229e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebdbb867, "snd_sgbuf_get_addr" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xc89f39ef, "snd_sgbuf_get_chunk_size" },
	{ 0xa8f6af5b, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a59169a, "trace_event_buffer_commit" },
	{ 0xed5afc2d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5054d86, "hda_codec_resume_cmd_io" },
	{ 0x67cd4daf, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e7ceb38, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53e782a6, "snd_hdac_ext_stream_clear" },
	{ 0xad4f6c39, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x9ceb8a05, "_dev_info" },
	{ 0x3dcc1c42, "snd_hdac_ext_bus_link_power" },
	{ 0x770e8ef5, "snd_sof_dsp_dbg_dump" },
	{ 0xfc8cd845, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x52b701ab, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7a01747a, "perf_trace_run_bpf_submit" },
	{ 0xf04ac8e5, "devm_kfree" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xa88beaff, "snd_sof_dsp_update_bits_forced" },
	{ 0x77affb23, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x5a2fcd88, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2c4ce26d, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x926cb7f1, "trace_event_reg" },
	{ 0x61e5bfac, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xd1a5b66c, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x4f9c5321, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x28aebc3, "hda_bus_ml_reset_losidv" },
	{ 0xbe8f316f, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf3280a39, "snd_sof_ipc_get_reply" },
	{ 0x17183856, "snd_sof_dsp_update_bits" },
	{ 0xf69074a4, "pci_restore_state" },
	{ 0x8735f34a, "snd_sof_pci_update_bits" },
	{ 0x9ddf0f5c, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x7be1d7b8, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xbe3efa57, "snd_hdac_display_power" },
	{ 0x91823fa9, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30947e35, "snd_pcm_hw_constraint_integer" },
	{ 0xbf7322c1, "bpf_trace_run3" },
	{ 0x4e389528, "hda_codec_rirb_status_clear" },
	{ 0x6dab21d5, "hda_codec_suspend_cmd_io" },
	{ 0xe6745cf2, "snd_sof_ipc_reply" },
	{ 0xce95134c, "hda_codec_init_cmd_io" },
	{ 0x4ece2542, "hda_codec_stop_cmd_io" },
	{ 0x8342fcf3, "hda_codec_detect_mask" },
	{ 0x9d5fce39, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x303b54d, "sof_ipc_tx_message" },
	{ 0xb0c87681, "snd_sof_dsp_panic" },
	{ 0x22ca63aa, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x901d6917, "snd_sof_suspend" },
	{ 0x3e26f867, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xc18948ce, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xbff2cdca, "intel_nhlt_init" },
	{ 0xa14b9943, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5805ba0f, "sof_client_dev_unregister" },
	{ 0xffdb6001, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2f5c01cf, "snd_hdac_ext_stream_reset" },
	{ 0xd67a748b, "hdac_bus_eml_get_count" },
	{ 0x68946aa, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0xb9e214e5, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x13e4a5b2, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6c94051e, "hda_codec_jack_check" },
	{ 0x2ce26a32, "hda_bus_ml_suspend" },
	{ 0xa366c3dc, "pci_save_state" },
	{ 0x7bcd670e, "sof_block_read" },
	{ 0xbfb8e86a, "hda_codec_i915_display_power" },
	{ 0xf862ef8a, "bpf_trace_run4" },
	{ 0xda32c56f, "snd_dma_alloc_dir_pages" },
	{ 0x11963382, "devm_kmalloc" },
	{ 0x72df427, "snd_hdac_bus_send_cmd" },
	{ 0x998bf24e, "hda_bus_ml_resume" },
	{ 0xda460204, "snd_hdac_bus_get_response" },
	{ 0xce170c1d, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f703983, "trace_raw_output_prep" },
	{ 0x2ee3912e, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xece77ceb, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf1022886, "__trace_trigger_soft_disabled" },
	{ 0x3c5ac2b6, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x96b90435, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4e7949d5, "snd_pcm_hw_constraint_minmax" },
	{ 0x5500b17f, "hda_codec_jack_wake_enable" },
	{ 0xb1be9e95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fffef2, "snd_hdac_ext_bus_init" },
	{ 0x660a35c2, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x16d1ed3a, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8f17034, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "9D1D4F670714E0F8755976F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
