#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x6cc1d90a, "");
SYMBOL_CRC(hda_bus_ml_free, 0xa2edb280, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xd67a748b, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x04e04fea, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xeafa1e21, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x632d26ae, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x011ad1a6, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x50bb9e00, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x23415c47, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x9d45b6bd, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x11f6ec59, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x7d03051d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x0029daf3, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x5dad4f90, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x5ea3c76d, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xf7804e25, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x1481f2b2, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x09623b6a, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x4abd6ec7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x542b1492, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x1aba8e60, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x9ea18760, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x87ec21d6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x5a2fcd88, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xef27dcd5, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x028aebc3, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x998bf24e, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x2ce26a32, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xe9fc8b6e, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x9ddf0f5c, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x7be1d7b8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x2ee3912e, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xc1013db9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a525082, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb9e00c0c, "snd_hdac_ext_bus_link_power_down" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xe16b8363, "snd_hdac_ext_bus_link_put" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
