#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x5500b17f, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x6c94051e, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xf456156e, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xdcedf668, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x8342fcf3, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xce95134c, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xd5054d86, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x4ece2542, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x6dab21d5, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x4e389528, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xece77ceb, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xffdb6001, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x7c334d34, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xbfb8e86a, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x83a977a5, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xe2f8ec04, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11963382, "devm_kmalloc" },
	{ 0x72df427, "snd_hdac_bus_send_cmd" },
	{ 0xda460204, "snd_hdac_bus_get_response" },
	{ 0x467488bb, "snd_hdac_bus_update_rirb" },
	{ 0x8c9b3a5, "snd_hdac_codec_modalias" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0x430301e1, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f1875f2, "put_device" },
	{ 0xf23efa63, "snd_hdac_device_register" },
	{ 0x769309bd, "snd_hdac_i915_init" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0x3d8b7d0a, "snd_hdac_device_unregister" },
	{ 0xf32b3eaf, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa7ae969c, "snd_hdac_bus_stop_cmd_io" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0xbe3efa57, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b88f2f, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6bc1c6e9, "snd_hdac_acomp_exit" },
	{ 0x76889ec0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5bdafd9c, "snd_hda_codec_device_init" },
	{ 0xa1917ef2, "snd_hdac_set_codec_wakeup" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "E7D8D2FA67D7736EC539F08");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
