#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7fc25da, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x1c081240, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x78944658, "snd_card_new" },
	{ 0xb578dff2, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x494d72a8, "snd_card_set_id" },
	{ 0xa59d4a09, "_dev_err" },
	{ 0xdee3c9b7, "snd_card_free_when_closed" },
	{ 0x658d0ec1, "usb_set_interface" },
	{ 0xac88a149, "snd_pcm_set_ops" },
	{ 0x774f0075, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x76a28a5, "usb_string" },
	{ 0x8ab7cfe9, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xeadfe6c2, "_dev_warn" },
	{ 0x64aeeaa7, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63ab682a, "input_event" },
	{ 0xe7a07dcf, "input_set_abs_params" },
	{ 0x7d7e027a, "snd_rawmidi_new" },
	{ 0xd7558182, "snd_card_disconnect" },
	{ 0xe5a783a7, "snd_rawmidi_set_ops" },
	{ 0xdf2b4537, "param_ops_bool" },
	{ 0xb33ca050, "__kmalloc_cache_noprof" },
	{ 0xa877c5ba, "usb_kill_urb" },
	{ 0x8fd287f5, "usb_init_urb" },
	{ 0x5a3c030, "snd_pcm_period_elapsed" },
	{ 0x445fafbd, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5122d4f7, "kmalloc_caches" },
	{ 0x7a5227fa, "input_allocate_device" },
	{ 0x1b38ea42, "usb_alloc_urb" },
	{ 0xa8d81934, "snd_rawmidi_receive" },
	{ 0xc3b9957, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x651d7b3e, "snd_rawmidi_transmit" },
	{ 0x20b719e0, "snd_ctl_add" },
	{ 0xa47a287a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a98d00d, "snd_card_register" },
	{ 0xab356a47, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7cf4af38, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x195d99f6, "param_array_ops" },
	{ 0x9e7a8550, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x19505c78, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce29becd, "input_free_device" },
	{ 0xd7ef3c69, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1766622d, "usb_bulk_msg" },
	{ 0x9d6c332f, "input_register_device" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
